﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:GUIRes="urn:GUIRes" xmlns:msxsl="urn:schemas-microsoft-com:xslt">
  <!-- Copyright @2004-2007 Motorola Inc.  All rights reserved -->
  <!-- REPORT INFORMATION 
	MODIFY TITLE_ID AND USER_DEFINED TO CHANGE TITLE  
	<REPORT_INFO>
		<TITLE>CUSTOMER_HANDOUT</TITLE>
		<USER_TITLE></USER_TITLE>
		<DEALER_INFO>YES</DEALER_INFO>
		<LANGUAGES>
			<LANG_ID>EN-US</LANG_ID>
			<LANG_ID>FR-FR</LANG_ID>
			<LANG_ID>ES-CO</LANG_ID>
			<LANG_ID>ES-ES</LANG_ID>
			<LANG_ID>RU-RU</LANG_ID>
			<LANG_ID>PT-BR</LANG_ID>
			<LANG_ID>ZH-CN</LANG_ID>
			<LANG_ID>PL-PL</LANG_ID>
			<LANG_ID>DE-DE</LANG_ID>
			<LANG_ID>IT-IT</LANG_ID>

		</LANGUAGES>
	</REPORT_INFO>
 END REPORT INFORMATION !-->
  <!-- PARAMETERS - DO NOT MODIFY -->
  <xsl:param name="sTitle" />
  <xsl:param name="sViewXml" />
  <xsl:param name="sResXml" />
  <xsl:param name="bRTL" />
  <!--     end parameters         -->
  <!-- Subset of the Detailed Report.  -->
  <xsl:variable name="report_res" select="msxsl:node-set($sResXml)" />
  <xsl:variable name="field_res" select="$report_res//FIELD_TYPES" />
  <xsl:variable name="image_res" select="$report_res//IMAGES" />
  <xsl:variable name="view_res" select="msxsl:node-set($sViewXml)" />
  <xsl:variable name="button_def" select="$report_res//BUTTONS" />
  <xsl:variable name="button_prog" select="$button_def/PROGRAM_BUTTON" />
  <xsl:variable name="button_fix" select="$button_def/FIXED_BUTTON" />
  <!-- VARIABLES SECTION -->
  <xsl:variable name="CBP_Type" select="//RADIO_WIDE_SETTING_SECTION" />
  <xsl:variable name="not_applicable">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">NOT_APPLICABLE</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="enabled_str">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">STR_ENABLED</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="disabled_str">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">STR_DISABLED</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="keypad" select="//MD_KEYPADSET" />
  <xsl:variable name="display" select="//MD_DISPLAYTYPE" />
  <xsl:variable name="knob" select="//MD_ROTARYKNOB" />
  <xsl:variable name="model_def">
    <xsl:choose>
      <xsl:when test="$keypad = 0">fkp</xsl:when>
      <xsl:when test="$display = 1">ndip</xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="$knob = 1">lkpknob</xsl:when>
          <xsl:otherwise>lkp</xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="lowercase" select="'abcdefghijklmnopqrstuvwxyz'" />
  <xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'" />
  <xsl:variable name="dir">
    <xsl:choose>
      <xsl:when test="$bRTL">rtl</xsl:when>
      <xsl:otherwise>ltr</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <!-- END OF VARIABLES SECTION -->
  <xsl:template match="/">
    <xsl:text disable-output-escaping="yes" />
    <html dir="{$dir}">
      <head>
        <title>
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">MD_SERIALNUM</xsl:with-param>
          </xsl:call-template>: <xsl:value-of select="//MD_SERIALNUM" /><xsl:text></xsl:text><xsl:call-template name="GUI_LOOK"><xsl:with-param name="lookup">MD_MODELNUM</xsl:with-param></xsl:call-template>: <xsl:value-of select="MD_MODELNUM" /></title>
        <xsl:text disable-output-escaping="yes">
               &lt;style&gt;
                  &lt;!--
                  html {font-family: arial unicode ms; sans-serif}
                  ul.attributes {margin-left: 0.3cm; text-align left; list-style: none; font-size: 9pt}
                  ul {list-style-type: none}
                  th {font-weight: bold; font-size: 9pt; background: none; color: #4886C1; }
                  td {vertical-align: top; font-size: 9pt}
                  td.bottom {vertical-align: bottom; font-size: 9pt}
                  td.button {text-align: center;vertical-align: middle; font-size: 9pt}
                  td.sep {border-style:none none solid none; border-width:5px;border-collapse:collapse;	
						border-color:white white #e0e0e0 white;border-collapse:collapse;font-size:9pt;}	
				  td.sepcn {border-style:none none solid none; border-width:5px;border-collapse:collapse;	
						border-color:white white #e0e0e0 white;border-collapse:collapse;font-size:9pt;
						vertical-align: middle;}			
				  td.led {border-style:solid; border-width:5px;text-align: center;border-color:white white #e0e0e0 white;
						font-weight: bold;font-size:10pt; color: #4886C1;}					 
				  td.bold {vertical-align: center; font-size: 9pt; font-weight: bold}
                  td.pic {vertical-align: top; font-size: 9pt; text-align: center}
                  td.num {border-style:none none solid none; border-width:5px;border-collapse:collapse;	
						border-color:white white #e0e0e0 white; padding:5px;font-size:9pt;width:30px}
                  h1 {text-align: left; font-size:26; color: blue}
                  h4 {text-align: left; font-size: 9pt}
                  td.serialnum {text-align: left; font-size: 9pt}
                  td.modelnum {text-align: right; font-size: 9pt}
                  td.cn {vertical-align: top; text-align: center;font-size: 9pt; font-weight: bold}
                  td.menu { vertical-align: middle; font-size: 12pt; font-weight: bold; border-style:none none solid none; border-width:5px;border-collapse:collapse;	
						border-color:white white #e0e0e0 white; padding:5px;border-collapse:collapse;}
                  td.submenu{vertical-align: top; text-align: left; font-size: 9pt;border-style:none none solid none; border-width:5px;border-collapse:collapse;	
						border-color:white white #e0e0e0 white; padding:5px;border-collapse:collapse;}
                  td.header {font-weight: bold; font-size: 9pt; font-weight:bold; text-align: center; color: #4886C1}
				  td.headerleft {font-weight: bold; font-size: 9pt; text-align: left; color:#4886C1; background: none;}
				  td.headercenter {font-weight: bold; font-size: 9pt; text-align: center; color:#4886C1; background: none;}
				  td.fixed { vertical-align: middle; font-size: 9pt}
                  td.top { text-align: right; font-size: 9pt; border-top: solid #4886C1}
                  td.led { height: 25;}
					.dealer{width: 213px; overflow: hidden;}
                  h3.breakBefore {page-break-before: always}
                  th.em1 {text-align: left; font-size: 14pt; background: none; font-weight: bold; color: #4886C1; border-style:none none solid none; border-width:5px;border-collapse:collapse;	
						border-color:white white #e0e0e0 white; padding:5px;border-collapse:collapse;}
                  img.num {width: 25px;}
                  img.std {width: 100%;}
                  img.rep {width: 640px;}
                  img.narrow {width: 350px;}
                  img.vert {width: 300px;}
                  table{border-collapse:collapse}
                  .white{border-style:solid;border-width:10px;border-collapse:collapse;border-color:#ffffff;}
                  .stdwhite {border-style:solid;border-width:10px;border-collapse:collapse;border-color:#ffffff;width:100%;}
                  .nocollapse{border-style:solid;border-width:10px;border-color:#ffffff;}
                  .std {width:100%;}
                  .std_rep {width:640px;}
                  .gimgsize {width:320px;}
                  .lblsize {width:45px;vertical-align: top; font-size: 9pt}
				  .tab {width:20px}
				  
                  --&gt;
               &lt;/style&gt;
            </xsl:text>
      </head>
      <body>
        <xsl:variable name="imgheader" select="$image_res/IMAGE[@id='HEADER']" />
        <img class="std" src="{$imgheader}" />
        <table class="std">
          <tr>
            <xsl:apply-templates select="//MD_SERIALNUM" />
            <xsl:apply-templates select="//MD_MODELNUM" />
          </tr>
        </table>
        <!--portable-->
        <xsl:call-template name="PAGE_DATA_PORTABLE">
          <xsl:with-param name="button_data" select="$CBP_Type" />
        </xsl:call-template>
        <!--portable-->
        <xsl:call-template name="FOOTER" />
      </body>
    </html>
  </xsl:template>
  <xsl:template name="PAGE_DATA_PORTABLE">
    <xsl:param name="button_data" />
    <table class="stdwhite">
      <tr>
        <xsl:text disable-output-escaping="yes">
						&lt;td&gt; &amp;nbsp &lt;/td&gt;
						</xsl:text>
      </tr>
      <xsl:variable name="radioimage" select="concat($model_def, '_', $image_res/IMAGE[@id='CUSTOMER1'])" />
      <xsl:variable name="fixed_button">
        <xsl:call-template name="BUTTON_REFRESH">
          <xsl:with-param name="button_list" select="$button_fix" />
          <xsl:with-param name="button_data" />
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="button_fnodes" select="msxsl:node-set($fixed_button)" />
      <xsl:variable name="fixed_count" select="count($button_fnodes/BUTTON[@type='fixed'])" />
      <xsl:variable name="prog_button">
        <xsl:call-template name="BUTTON_REFRESH">
          <xsl:with-param name="button_list" select="$button_prog" />
          <xsl:with-param name="button_data" select="$button_data" />
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="button_nodes" select="msxsl:node-set($prog_button)" />
      <xsl:variable name="comp_count" select="count($button_nodes/BUTTON[@type='comb'])" />
      <tr>
        <td class="bottom" colspan="2">
          <table class="white" width="100%">
            <tr>
              <td colspan="2">
                <xsl:call-template name="NUMBERED_BUTTONS">
                  <xsl:with-param name="button_fnodes" select="$button_fnodes" />
                  <xsl:with-param name="button_data" select="$button_data" />
                </xsl:call-template>
              </td>
            </tr>
            <tr>
              <td colspan="2">
                <xsl:call-template name="NUMBERED_PROG_BUTTONS">
                  <xsl:with-param name="button_nodes" select="$button_nodes" />
                  <xsl:with-param name="button_data" select="$button_data" />
                  <xsl:with-param name="fixed_count" select="$fixed_count" />
                </xsl:call-template>
              </td>
            </tr>
            <tr>
              <td class="num">
                <xsl:call-template name="BUTTON_IMAGE">
                  <xsl:with-param name="img_type">num</xsl:with-param>
                  <xsl:with-param name="position" select="number($fixed_count + $comp_count + 1)" />
                </xsl:call-template>
              </td>
              <td class="sep">
                <table>
                  <tr>
                    <td class="headerleft" width="40%">
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">LED_DISPLAY</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td class="headerleft">
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">LED_DESCRIPTION</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">SOLID_GREEN</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">SOLID_GREEN_EVENT</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr bgcolor="Tan">
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FLASHING_GREEN</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FLASHING_GREEN_EVENT</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">SOLID_YELLOW</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">SOLID_YELLOW_EVENT</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr bgcolor="Tan">
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FLASHING_YELLOW</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FLASHING_YELLOW_EVENT</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FAST_FLASHING_YELLOW</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FAST_FLASHING_YELLOW_EVENT</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr bgcolor="Tan">
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FLASHING_RED</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FLASHING_RED_EVENT</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FAST_FLASHING_RED</xsl:with-param>
                      </xsl:call-template>
                    </td>
                    <td>
                      <xsl:call-template name="GUI_LOOK">
                        <xsl:with-param name="lookup">FAST_FLASHING_RED_EVENT</xsl:with-param>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr bgcolor="Tan"></tr>
                  <xsl:if test="$model_def = 'ndip'">
                    <tr>
                      <td class="headerleft" width="40%">
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_LED_DISPLAY</xsl:with-param>
                        </xsl:call-template>
                      </td>
                      <td class="headerleft">
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_LED_DESCRIPTION</xsl:with-param>
                        </xsl:call-template>
                      </td>
                    </tr>
                    <tr bgcolor="Tan">
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_SOLID_GREEN</xsl:with-param>
                        </xsl:call-template>
                      </td>
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_SOLID_GREEN_EVENT</xsl:with-param>
                        </xsl:call-template>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_SOLID_AMBER</xsl:with-param>
                        </xsl:call-template>
                      </td>
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_SOLID_AMBER_EVENT</xsl:with-param>
                        </xsl:call-template>
                      </td>
                    </tr>
                    <tr bgcolor="Tan">
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_FLASHING_RED</xsl:with-param>
                        </xsl:call-template>
                      </td>
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_FLASHING_RED_EVENT</xsl:with-param>
                        </xsl:call-template>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_NONE</xsl:with-param>
                        </xsl:call-template>
                      </td>
                      <td>
                        <xsl:call-template name="GUI_LOOK" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                          <xsl:with-param name="lookup">BATTERY_LEVEL_NONE_EVENT</xsl:with-param>
                        </xsl:call-template>
                      </td>
                    </tr>
                  </xsl:if>
                </table>
              </td>
            </tr>
          </table>
        </td>
        <td class="pic">
          <img class="vert" src="{$radioimage}" />
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template name="FOOTER">
    <img class="std" src="{$image_res/IMAGE[@id='FOOTER']}" />
    <xsl:variable name="left">
      <xsl:call-template name="br-replace">
        <xsl:with-param name="text">
          <xsl:value-of select="//DEALER_INFO/LEFT" />
        </xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="middle">
      <xsl:call-template name="br-replace">
        <xsl:with-param name="text">
          <xsl:value-of select="//DEALER_INFO/MIDDLE" />
        </xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="right">
      <xsl:call-template name="br-replace">
        <xsl:with-param name="text">
          <xsl:value-of select="//DEALER_INFO/RIGHT" />
        </xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <table class="std">
      <tr>
        <td>
          <DIV class="dealer">
            <xsl:value-of select="$left" disable-output-escaping="yes" />
          </DIV>
        </td>
        <td align="center">
          <DIV class="dealer">
            <xsl:value-of select="$middle" disable-output-escaping="yes" />
          </DIV>
        </td>
        <td align="right">
          <DIV class="dealer">
            <xsl:value-of select="$right" disable-output-escaping="yes" />
          </DIV>
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template name="NUMBERED_BUTTONS">
    <xsl:param name="button_fnodes" />
    <xsl:param name="button_data" />
    <table width="100%">
      <xsl:call-template name="BUTTONS">
        <xsl:with-param name="button_nodes" select="$button_fnodes" />
        <xsl:with-param name="button_data" select="$button_data" />
      </xsl:call-template>
    </table>
  </xsl:template>
  <xsl:template name="NUMBERED_PROG_BUTTONS">
    <xsl:param name="button_nodes" />
    <xsl:param name="button_data" />
    <xsl:param name="fixed_count" />
    <table>
      <xsl:call-template name="BUTTONS">
        <xsl:with-param name="button_nodes" select="$button_nodes" />
        <xsl:with-param name="button_data" select="$button_data" />
        <xsl:with-param name="fixed_count" select="$fixed_count" />
      </xsl:call-template>
    </table>
  </xsl:template>
  <xsl:template name="BUTTON_REFRESH">
    <xsl:param name="button_list" />
    <xsl:param name="button_data" />
    <xsl:for-each select="$button_list/BUTTON">
      <xsl:variable name="tempValue" select="." />
      <xsl:choose>
        <xsl:when test="@type = &quot;fixed&quot;">
          <xsl:choose>
            <xsl:when test="@range = &quot;all&quot;">
              <xsl:if test="@md = &quot;all&quot; or @md = $model_def">
                <BUTTON type="fixed" image="{@image}">
                  <xsl:value-of select="." />
                </BUTTON>
              </xsl:if>
            </xsl:when>
          </xsl:choose>
        </xsl:when>
        <xsl:when test="@type = &quot;comb&quot;">
          <xsl:variable name="applicableS">
            <xsl:value-of select="$button_data//*[name()=$tempValue/BUTTON_SHORT]/@Applicable" />
          </xsl:variable>
          <xsl:variable name="applicableL">
            <xsl:value-of select="$button_data//*[name()=$tempValue/BUTTON_LONG]/@Applicable" />
          </xsl:variable>
          <xsl:if test="$applicableS != 'NA' or $applicableL != 'NA'">
            <BUTTON type="comb" image="{@image}">
              <xsl:if test="$applicableS != 'NA'">
                <BUTTON_SHORT type="short">
                  <xsl:value-of select="./BUTTON_SHORT" />
                </BUTTON_SHORT>
              </xsl:if>
              <xsl:if test="$applicableL != 'NA'">
                <BUTTON_LONG type="long">
                  <xsl:value-of select="./BUTTON_LONG" />
                </BUTTON_LONG>
              </xsl:if>
            </BUTTON>
          </xsl:if>
        </xsl:when>
      </xsl:choose>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="BUTTON_HEADER">
    <xsl:text disable-output-escaping="yes">
              	&lt;td class="cn"&gt; &amp;nbsp &lt;/td&gt;
				</xsl:text>
    <td class="headerleft">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">BUTTON_NAME</xsl:with-param>
      </xsl:call-template>
    </td>
    <td class="headerleft">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">CB_BTNSHORT</xsl:with-param>
      </xsl:call-template>
    </td>
    <td class="headerleft">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">CB_BTNLONG</xsl:with-param>
      </xsl:call-template>
    </td>
  </xsl:template>
  <xsl:template name="BUTTON_ITEM">
    <xsl:param name="button_list" />
    <xsl:param name="button_data" />
    <xsl:param name="position" />
    <xsl:param name="fixed_count" />
    <xsl:variable name="img_type" select="$button_list/BUTTON[$position]/@image" />
    <xsl:if test="$button_list/BUTTON[$position]/@type = 'fixed'">
      <tr>
        <td class="num">
          <xsl:call-template name="BUTTON_IMAGE">
            <xsl:with-param name="img_type" select="$img_type" />
            <xsl:with-param name="position" select="$position" />
          </xsl:call-template>
        </td>
        <td class="sepcn">
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup" select="$button_list/BUTTON[$position]" />
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="$button_list/BUTTON[$position]/@type = 'comb'">
      <xsl:variable name="button_short" select="$button_list/BUTTON[$position]/BUTTON_SHORT" />
      <xsl:variable name="button_long" select="$button_list/BUTTON[$position]/BUTTON_LONG" />
      <tr>
        <td class="num">
          <xsl:call-template name="BUTTON_IMAGE">
            <xsl:with-param name="img_type" select="$img_type" />
            <xsl:with-param name="position" select="$position + $fixed_count" />
          </xsl:call-template>
        </td>
        <xsl:call-template name="BUTTON">
          <xsl:with-param name="short" select="$button_data//*[name()=$button_short]" />
          <xsl:with-param name="long" select="$button_data//*[name()=$button_long]" />
        </xsl:call-template>
      </tr>
    </xsl:if>
  </xsl:template>
  <xsl:template name="BUTTON">
    <xsl:param name="short" />
    <xsl:param name="long" />
    <xsl:variable name="btnshrt">
      <xsl:call-template name="GUI_LABEL">
        <xsl:with-param name="cp_node" select="$short" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="btnlong">
      <xsl:call-template name="GUI_LABEL">
        <xsl:with-param name="cp_node" select="$long" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="lblshrt">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">CB_BTNSHORT</xsl:with-param>
      </xsl:call-template>:</xsl:variable>
    <xsl:variable name="lbllong">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">CB_BTNLONG</xsl:with-param>
      </xsl:call-template>:</xsl:variable>
    <td class="sep" width="100%">
      <table>
        <tr>
          <td class="bold">
            <xsl:value-of select="$lblshrt" />
          </td>
          <td>
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup" select="$short" />
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td class="bold">
            <xsl:value-of select="$lbllong" />
          </td>
          <td>
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup" select="$long" />
            </xsl:call-template>
          </td>
        </tr>
      </table>
    </td>
  </xsl:template>
  <xsl:template name="BUTTON_ROW">
    <xsl:param name="short" />
    <xsl:param name="long" />
    <xsl:variable name="btnshrt">
      <xsl:call-template name="GUI_LABEL">
        <xsl:with-param name="cp_node" select="$short" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="lblshrt">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">CB_BTNSHORT</xsl:with-param>
      </xsl:call-template>:
	  </xsl:variable>
    <xsl:variable name="btnlong">
      <xsl:call-template name="GUI_LABEL">
        <xsl:with-param name="cp_node" select="$long" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="lbllong">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">CB_BTNLONG</xsl:with-param>
      </xsl:call-template>:	  </xsl:variable>
    <td class="sep">
      <xsl:value-of select="$btnshrt" />
    </td>
    <td class="sep">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup" select="$short" />
      </xsl:call-template>
    </td>
    <td class="sep">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup" select="$long" />
      </xsl:call-template>
    </td>
  </xsl:template>
  <xsl:template name="BUTTON_TABLE_ITEM">
    <xsl:param name="button_list" />
    <xsl:param name="button_data" />
    <xsl:param name="position" />
    <xsl:param name="fixed_count" />
    <xsl:variable name="img_type" select="$button_list/BUTTON[$position]/@image" />
    <xsl:if test="$button_list/BUTTON[$position]/@type = 'fixed'">
      <tr>
        <td width="50">
          <xsl:call-template name="BUTTON_IMAGE">
            <xsl:with-param name="img_type" select="$img_type" />
            <xsl:with-param name="position" select="$position" />
          </xsl:call-template>
        </td>
        <td>
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup" select="$button_list/BUTTON[$position]" />
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="$button_list/BUTTON[$position]/@type = 'comb'">
      <xsl:variable name="button_short" select="$button_list/BUTTON[$position]/BUTTON_SHORT" />
      <xsl:variable name="button_long" select="$button_list/BUTTON[$position]/BUTTON_LONG" />
      <tr>
        <td class="sep">
          <xsl:call-template name="BUTTON_IMAGE">
            <xsl:with-param name="img_type" select="$img_type" />
            <xsl:with-param name="position" select="$position + $fixed_count" />
          </xsl:call-template>
        </td>
        <xsl:call-template name="BUTTON_ROW">
          <xsl:with-param name="short" select="$button_data//*[name()=$button_short]" />
          <xsl:with-param name="long" select="$button_data//*[name()=$button_long]" />
        </xsl:call-template>
      </tr>
    </xsl:if>
  </xsl:template>
  <xsl:template name="BUTTONS">
    <xsl:param name="button_nodes" />
    <xsl:param name="button_data" />
    <xsl:param name="fixed_count" select="0" />
    <xsl:for-each select="$button_nodes/*">
      <xsl:call-template name="BUTTON_ITEM">
        <xsl:with-param name="button_list" select="$button_nodes" />
        <xsl:with-param name="button_data" select="$button_data" />
        <xsl:with-param name="position" select="position()" />
        <xsl:with-param name="fixed_count" select="$fixed_count" />
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="TABLE_BUTTONS">
    <xsl:param name="button_nodes" />
    <xsl:param name="button_data" />
    <xsl:param name="fixed_count" select="0" />
    <xsl:for-each select="$button_nodes/*">
      <xsl:call-template name="BUTTON_TABLE_ITEM">
        <xsl:with-param name="button_list" select="$button_nodes" />
        <xsl:with-param name="button_data" select="$button_data" />
        <xsl:with-param name="position" select="position()" />
        <xsl:with-param name="fixed_count" select="$fixed_count" />
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="BUTTON_IMAGE">
    <xsl:param name="img_type" />
    <xsl:param name="position" select="0" />
    <xsl:choose>
      <xsl:when test="$img_type = &quot;num&quot;">
        <img class="num" src="{concat($position, '.jpg')}" />
      </xsl:when>
      <xsl:otherwise>
        <img src="{$image_res/IMAGE[@id=translate($img_type,$lowercase,$uppercase)]}" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="DISPLAY_VALUE">
    <xsl:param name="cp_node" />
    <xsl:if test="$cp_node/@Applicable != 'NA'">
      <td class="headerleft">
        <xsl:call-template name="GUI_LOOK">
          <xsl:with-param name="lookup" select="name($cp_node)" />
        </xsl:call-template>:</td>
      <xsl:call-template name="GUI_RES">
        <xsl:with-param name="cp_node" select="$cp_node" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="EMPTY_TEXT_VALUE">
    <xsl:param name="cp_node" />
    <xsl:if test="$cp_node/@Applicable != 'NA' and string-length($cp_node) &gt; 0">
      <td class="headerleft" align="right">
        <xsl:call-template name="GUI_LOOK">
          <xsl:with-param name="lookup" select="name($cp_node)" />
        </xsl:call-template>:</td>
      <td align="right" colspan="2">
        <xsl:call-template name="text_wrapper">
          <xsl:with-param name="text" select="$cp_node" />
          <xsl:with-param name="width" select="20" />
        </xsl:call-template>
      </td>
    </xsl:if>
  </xsl:template>
  <xsl:template name="text_wrapper">
    <xsl:param name="text" />
    <xsl:param name="width" select="60" />
    <xsl:variable name="cr" select="'&lt;br/&gt;'" />
    <xsl:if test="string-length($text)">
      <xsl:if test="contains($text,$cr)"></xsl:if>
      <xsl:variable name="tempText" select="substring($text, 1, $width)" />
      <xsl:value-of select="substring($text, 1, $width)" />
      <br />
      <xsl:call-template name="text_wrapper">
        <xsl:with-param name="text" select="substring($text, $width + 1)" />
        <xsl:with-param name="width" select="$width" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="GUI_RES">
    <xsl:param name="cp_node" />
    <td>
      <xsl:variable name="applicable">
        <xsl:value-of select="$cp_node/@Applicable" />
      </xsl:variable>
      <xsl:choose>
        <xsl:when test="$applicable='Enabled'">
          <xsl:variable name="type">
            <xsl:call-template name="FIELD_LOOK">
              <xsl:with-param name="lookup" select="name($cp_node)" />
            </xsl:call-template>
          </xsl:variable>
          <xsl:choose>
            <xsl:when test="$type=0">
              <xsl:call-template name="BOOL_LOOK">
                <xsl:with-param name="lookup" select="$cp_node" />
              </xsl:call-template>
            </xsl:when>
            <xsl:when test="$type=1">
              <xsl:value-of select="$cp_node" />
            </xsl:when>
            <xsl:when test="$type=2">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup" select="$cp_node" />
              </xsl:call-template>
            </xsl:when>
          </xsl:choose>
        </xsl:when>
        <xsl:when test="$applicable='Disabled'">
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">STR_DISABLED</xsl:with-param>
          </xsl:call-template>
        </xsl:when>
        <xsl:when test="$applicable='NA'">
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">NOT_APPLICABLE</xsl:with-param>
          </xsl:call-template>
        </xsl:when>
      </xsl:choose>
    </td>
    <!--</tr>-->
  </xsl:template>
  <xsl:template name="GUI_LABEL">
    <xsl:param name="cp_node" />
    <td class="em">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup" select="name($cp_node)" />
      </xsl:call-template>
    </td>
  </xsl:template>
  <xsl:template name="GUI_LOOK">
    <xsl:param name="lookup" />
    <xsl:value-of select="GUIRes:GetString($lookup)" disable-output-escaping="yes" />
  </xsl:template>
  <xsl:template name="FIELD_LOOK">
    <xsl:param name="lookup" />
    <xsl:value-of select="$field_res/FIELD[@id=$lookup]" />
  </xsl:template>
  <xsl:template name="BOOL_LOOK">
    <xsl:param name="lookup" />
    <xsl:choose>
      <xsl:when test="$lookup='1'">
        <xsl:value-of select="$enabled_str" />
      </xsl:when>
      <xsl:when test="$lookup='0'">
        <xsl:value-of select="$disabled_str" />
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="MD_MODELNUM">
    <td class="modelnum">
      <table>
        <tr>
          <td class="modelnum">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup" select="name(.)" />
            </xsl:call-template>
          </td>
          <td class="modelnum">
            <xsl:value-of select="." />
          </td>
        </tr>
      </table>
    </td>
  </xsl:template>
  <xsl:template match="MD_SERIALNUM">
    <td class="serialnum">
      <table>
        <tr>
          <td class="serialnum">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup" select="name(.)" />
            </xsl:call-template>
          </td>
          <td class="serialnum">
            <xsl:value-of select="." />
          </td>
        </tr>
      </table>
    </td>
  </xsl:template>
  <!-- Replace new lines with html <br> tags -->
  <xsl:template name="br-replace">
    <xsl:param name="text" />
    <xsl:variable name="cr" select="'&#xA;'" />
    <xsl:choose>
      <xsl:when test="contains($text,$cr)">
        <xsl:value-of select="substring-before($text,$cr)" />
        <xsl:text>&lt;br/&gt;</xsl:text>
        <xsl:call-template name="br-replace">
          <xsl:with-param name="text" select="substring-after($text,$cr)" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$text" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>