<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:GUIRes="urn:GUIRes"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt">
  <!-- Copyright @2004-2007 Motorola Inc.  All rights reserved -->
  <!-- REPORT INFORMATION 
	MODIFY TITLE_ID AND USER_DEFINED TO CHANGE TITLE  
	<REPORT_INFO>
		<TITLE>DETAILED_REPORT</TITLE>
		<USER_TITLE></USER_TITLE>
		<DEALER_INFO>NO</DEALER_INFO>
		<LANGUAGES>
			<LANG_ID>EN-US</LANG_ID>
			<LANG_ID>FR-FR</LANG_ID>
			<LANG_ID>ES-CO</LANG_ID>
			<LANG_ID>ES-ES</LANG_ID>
			<LANG_ID>RU-RU</LANG_ID>
			<LANG_ID>PT-BR</LANG_ID>
			<LANG_ID>ZH-CN</LANG_ID>
			<LANG_ID>PL-PL</LANG_ID>
			<LANG_ID>DE-DE</LANG_ID>
			<LANG_ID>IT-IT</LANG_ID>
		</LANGUAGES>
	</REPORT_INFO>
 END REPORT INFORMATION !-->
  <!-- PARAMETERS - DO NOT MODIFY -->
  <xsl:param name="sTitle" />
  <xsl:param name="sViewXml" />
  <xsl:param name="sResXml" />
  <xsl:param name="bRTL" />
  <!--     end parameters         -->
  <!-- Subset of the Detailed Report.  -->
  <xsl:variable name="field_res" select="msxsl:node-set($sResXml)//FIELD_TYPES" />
  <!--this function will error if no view xml passed in, therefore, default non-view xml will
     be passed in if a view is not used -->
  <xsl:variable name="view_res" select="msxsl:node-set($sViewXml)" />
  <!-- VARIABLES SECTION -->
  <xsl:variable name="treenodes" select="$view_res//TREE_NODES" />
  <xsl:variable name="persperpage">5</xsl:variable>
  <!-- Added by Aries for Phase III-->
  <xsl:variable name="CodeplugSize" select="//MD_CODEPLUGSIZE" />
  <xsl:variable name="enableMdcSys" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/MDC_SYS_GRP/MDC_SYS[MDC_ENABLE=1]" />
  <xsl:variable name="countMdcSys" select="count($enableMdcSys)" />
  <xsl:variable name="enableDtmfSys" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_SYS_GRP/DTMF_SYS[DTMF_ENABLE=1]" />
  <xsl:variable name="countDtmfSys" select="count($enableDtmfSys)" />
  <xsl:variable name="enableQciiSys" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/QCII_SYS_GRP/QCII_SYS[QCII_ENABLE=1]" />
  <xsl:variable name="countQciiSys" select="count($enableQciiSys)" />
  <xsl:variable name="enablePhoneSys" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/PHONE_SYS_GRP/PHONE_SYS[PHONE_ENABLE=1]" />
  <xsl:variable name="countPhoneSys" select="count($enablePhoneSys)" />
  <xsl:variable name="enableDtmfCall" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_CALL_GRP/DTMF_CALL[DTMFC_ENABLE=1]" />
  <xsl:variable name="countDtmfCall" select="count($enableDtmfCall)" />
  <xsl:variable name="numpageMdcSys" select="ceiling($countMdcSys div $persperpage)" />
  <xsl:variable name="numpageDtmfSys" select="ceiling($countDtmfSys div $persperpage)" />
  <xsl:variable name="numpageQciiSys" select="ceiling($countQciiSys div $persperpage)" />
  <xsl:variable name="numpagePhoneSys" select="ceiling($countPhoneSys div $persperpage)" />
  <xsl:variable name="numpageDtmfCall" select="ceiling($countDtmfCall div $persperpage)" />
  <!--Added End-->
  <!-- Added By Wang Jing For Beacon Phase III CCB MDC-->
  <xsl:variable name="enableMdcCall" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/MDC_CALL_GRP/MDC_CALL[MDCC_ENABLE=1]" />
  <xsl:variable name="countMdcCall" select="count($enableMdcCall)" />
  <xsl:variable name="numpageMdcCall" select="ceiling($countMdcCall div $persperpage)" />
  <!--Added End-->
  <xsl:variable name="enableCh" select="/BEACON_CODEPLUG/CHANNEL_SECTION/CHANNEL_GRP/CHANNEL[CH_ENABLED=1]" />
  <xsl:variable name="countCh" select="count($enableCh)" />
  <xsl:variable name="countPers" select="$countCh" />
  <xsl:variable name="countScan" select="count(//SCANLIST)" />
  <xsl:variable name="numpageCh" select="ceiling($countCh div $persperpage)" />
  <xsl:variable name="numpageScan" select="ceiling($countScan div $persperpage)" />
  <xsl:variable name="display" select="//MD_DISPLAYTYPE" />
  <!-- date/time/number formatting variables -->
  <xsl:variable name="time_format">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">TIME_FORMAT</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="am">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">TIME_FORMAT_AM</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="pm">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">TIME_FORMAT_PM</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="date_format">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">DATE_FORMAT</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="decimal_separator">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">DECIMAL_SEPARATOR</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="negative_format">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">NEGATIVE_FORMAT</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="infinity">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">INFINITY</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="dec_format">########0.0#####</xsl:variable>
  <xsl:variable name="freq_format">##0.000000</xsl:variable>
  <xsl:decimal-format name="dec" decimal-separator="." grouping-separator="," />
  <!-- end date/time/number formatting variables -->
  <xsl:variable name="pagestart" select="number(1)" />
  <xsl:variable name="increment" select="number(1)" />
  <xsl:variable name="not_applicable">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">NOT_APPLICABLE</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="enabled_str">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">STR_ENABLED</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="disabled_str">
    <xsl:call-template name="GUI_LOOK">
      <xsl:with-param name="lookup">STR_DISABLED</xsl:with-param>
    </xsl:call-template>
  </xsl:variable>
  <xsl:variable name="dir">
    <xsl:choose>
      <xsl:when test="$bRTL">rtl</xsl:when>
      <xsl:otherwise>ltr</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="softmode" select='//MD_SOFTWAREMODE'/>

  <xsl:variable name="deviceinfo_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/MD_MODELNUM)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MD_SERIALNUM)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MD_FWVER)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PROGDATE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MD_CPVER)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MD_FREQBAND)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MD_FIXTXPWR)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="tone_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_ALERTTONEEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_LOBATTERYTONEEN)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="udp_enabled">

    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:variable name="u1" select='//RWS_USERTPL1/@Applicable'/>
        <xsl:variable name="u2" select='//RWS_USERTPL2/@Applicable'/>
        <xsl:variable name="u3" select='//RWS_USERTPL3/@Applicable'/>
        <xsl:if test="$u1 != 'NA' or $u2 != 'NA' or $u3 != 'NA'">
          <xsl:value-of select="name($view_res//TREE_NODES/RWS_USERTPL1)"/>
          <xsl:value-of select="name($view_res//TREE_NODES/RWS_USERTPL2)"/>
          <xsl:value-of select="name($view_res//TREE_NODES/RWS_USERTPL3)"/>
        </xsl:if>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <!--
<xsl:variable name="standtime_enabled">
		 <xsl:choose>
	   		 <xsl:when test="count($treenodes) &gt; 0">
	  		<xsl:value-of select="name($view_res//TREE_NODES/RWS_STANDBYONTIME)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/RWS_STANDBYOFFTIME)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/RWS_STANDBYHANGTIME)"/>											
 		    </xsl:when>
	    	 <xsl:otherwise>
				expert
	    	 </xsl:otherwise>
         </xsl:choose>
</xsl:variable>	
-->
  <xsl:variable name="general_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PWD)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_INTERNALSPKGAIN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_INTERNALMICGAIN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_EXTSPKTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_EXTMICTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_VOXHOLDTIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_VOXGAIN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_BKLIGHTMODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_BATTERYTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_BATTERYSAVERMODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_TOT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_TOWT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PRIMECH)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PRICHHANGTIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_TXHANGTIMER)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_SCRAMBLECODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_MENUTOT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_QUIKKEYOVERRIDE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_SCROLLTEXTEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_FPPEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_MODESWITCH)"/>
        <xsl:value-of select="$udp_enabled"/>
        <xsl:value-of select="$tone_enabled"/>
        <!--<xsl:value-of select="$standtime_enabled"/>	-->
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="button_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_SB1SHORT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_SB2SHORT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_FB1SHORT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_FB2SHORT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_FB3SHORT)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="dtmftx_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFSTEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFPTTIDTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFPTTLID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFACKID)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="dtmfrx_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFALLID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFGROUPID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFINDIVID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFDISPDECODEID)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="dtmf_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFTXPRETIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFRESETDUR)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFTONEDUR)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFINTVAL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_DTMFWIDECARDPAGE)"/>
        <xsl:value-of select="$dtmftx_enabled"/>
        <xsl:value-of select="$dtmfrx_enabled"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="phone_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0 and $display = 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNACCESSCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNDEACCESSCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNSTRIPPL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNPPLREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_OVERRIDEBCLFORPHN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNNUMBER)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNALIAS)"/>
      </xsl:when>
      <xsl:when test="$display = 1">
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="call_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0 and $display = 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_CALLNUMBER)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_CALLSTRIPPL)"/>
      </xsl:when>
      <xsl:when test="$display = 1">
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="scan_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_SCANHANGTIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_SCANINTVALDTIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_SIGHOLDTIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_TALKBACKSCANEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/SC_SLMEMBERS)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="rx_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/CH_RXFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_RXSQUELCHTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_RXDPLCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_RXDPLINVERT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_RXTPLFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_RXTPLCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_MUTERULE)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="tx_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TXFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TXSQUELCHTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TXDPLCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TXDPLINVERT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TXTPLFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TXTPLCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TXPWRLEVEL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_PTTIDEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TURNOFFCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_VOXEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_BCLO)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TPLREVBURST)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="channel_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/CH_ENABLED)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_BANDWIDTH)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_SL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_SCANTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_CALLTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_SQLTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_PLREQFORCALL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_TA)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_INDIVACKEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_SCRAMBLEEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_RXONLY)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_PHONEEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CH_COMPANDEXPANDEN)"/>
        <xsl:value-of select="$tx_enabled"/>
        <xsl:value-of select="$rx_enabled"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <!-- Added By Aries for Phase III-->
  <xsl:variable name="dtmfsig_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_ENABLE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_PRETIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_RESETDUR)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_TXTONEDUR)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_TXTONEINTERVAL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_WILDPAGEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_PTTSIDETONE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_PTTIDTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_INDID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_ACKID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_INDID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_GROUPID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_ALLID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_DIPDECIDEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_ARTTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_INDIVACKEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_ATAUTORESET)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_CALLTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMF_CALLLED)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="mdcsig_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_ENABLE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_PRIID)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_PTTIDTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_PTTSIDETONE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_PRETIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_RADIOCHECKEN)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_DOS_AUTOMUTE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_DOS_COAST)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDC_DOSCRITYPE)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="qciisig_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_ENABLE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_CALLTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_CALLLED)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_ATAUTORESET)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_CALLFORMAT)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_ARTTYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_AFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_BFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_CFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_DFREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_ACODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_BCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_CCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/QCII_DCODE)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="sigsystitle_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_AUTORESETTIMER)"/>
        <xsl:value-of select="$dtmfsig_enabled"/>
        <xsl:value-of select="$mdcsig_enabled"/>
        <xsl:value-of select="$qciisig_enabled"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="phonesys_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_ENABLE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_ACCESSCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_DEACCESSCODE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_STRIPPL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_PLREQ)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_OVERRIDEBCL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_PTTSIDETONE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_PRETIME)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_TONEDURATION)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/PHONE_TONEINTERVAL)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="phonelist_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNNUMBER)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/RWS_PHNALIAS)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="phonetitle_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="$phonesys_enabled"/>
        <xsl:value-of select="$phonelist_enabled"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="dtmfcall_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/DTMFC_ENABLE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMFC_CALLNUMBER)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMFC_CALLSTRIPPL)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/DTMFC_SYSTEM)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="mdccall_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/MDCC_ENABLE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/MDCC_INDID)"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="calllist_enabled">
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/ALLCALL_POSITION)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CALL_TYPE)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CALL_INDEX)"/>
        <xsl:value-of select="name($view_res//TREE_NODES/CALL_NAME)"/>
        <xsl:value-of select="$dtmfcall_enabled"/>
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <!-- END OF VARIABLES SECTION -->
  <xsl:template match="/">
    <xsl:text disable-output-escaping="yes" />
    <html dir="{$dir}">
      <head>
        <title>
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">MD_MODELNUM</xsl:with-param>
          </xsl:call-template>: <xsl:value-of select="//MD_MODELNUM" />
          <xsl:text></xsl:text><xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">MD_SERIALNUM</xsl:with-param>
          </xsl:call-template>: <xsl:value-of select="//MD_SERIALNUM" />
        </title>
        <xsl:text disable-output-escaping="yes">
               &lt;style>
                  &lt;!--
                  html {font-family: arial unicode ms; sans-serif}
                  h1 {text-align: center; font-size:26; color: #4886C1}
                  h1.breakBefore {text-align: center; font-size:26; color: #4886C1;page-break-before: always}
                  h3 {text-align:left; font-size:18; color: #4886C1;word-wrap:break-word}
                  h2.breakBefore {text-align: center; font-size:14; page-break-before: always}
                  h4 {text-align: left; font-size: 10}
                  table.solo {page-break-after: always}
                  th {text-align: left; font-size: 12; font-weight: bold; color: #4886C1;padding-left:5px;padding-right:5px;}
				  th.sub {colspan: 2; text-align: left; font-size: 13; color: #4886C1;}
                  th.channel {text-align: center; font-size: 12; font-weight: bold; color: #4886C1}
                  td {vertical-align: center; font-size: 10;padding-left:5px;padding-right:5px;}
                    .nopad {vertical-align: center; font-size: 10;padding-left:0px;padding-right:0px;}
                    .em_head {text-align: left; font-size: 12; font-weight: bold; color: #4886C1}
                    .em_width_top {vertical-align: top; text-align: left;font-size: 10; font-weight: bold; width: 150}
                    .em_width {vertical-align: center; text-align: left;font-size: 10; font-weight: bold; width: 170}
                    .em_std {vertical-align: center; text-align: left;font-size: 10; font-weight: bold; padding-left:5px;padding-right:5px;}
                    .em_nopad {vertical-align: center; text-align: left;font-size: 10; font-weight: bold; width: 150}
                    .top {vertical-align: top}
                  .wordwrap td {word-wrap: break-word;width:400px;}
                  .wordwrap_small {word-wrap: break-word;width:250px;}
                  .hdr {width:100px;}
                  .bigletters{font-size:150%;vertical-align: top; }
                  tr.top { vertical-align:top; }
                  -->
               &lt;/style>
            </xsl:text>
      </head>
      <body>
        <table>
          <tr>
            <xsl:apply-templates select='//MD_MODELNUM' />
          </tr>
          <tr>
            <xsl:apply-templates select='//MD_SERIALNUM' />
          </tr>
        </table>
        <h1>
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">APP_NAME</xsl:with-param>
          </xsl:call-template>
          <xsl:text> </xsl:text>
          <xsl:value-of select="$sTitle" />
        </h1>
        <!--DEVICE INFO-->
        <xsl:if test="string-length($deviceinfo_enabled) &gt; 0">
          <xsl:call-template name="DEVICE_INFO" />
        </xsl:if>
        <!--GENERAL SETTINGS-->
        <xsl:if test="string-length($general_enabled) &gt; 0">
          <xsl:call-template name="GENERAL_SETTINGS" />
        </xsl:if>
        <!--BUTTONS-->
        <xsl:if test="string-length($button_enabled) &gt; 0">
          <xsl:call-template name="BUTTONS" />
        </xsl:if>

        <!--Added By Aries For Phase III-->
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:if test="$softmode != 5 and $softmode != 6 and $softmode !=7 and $softmode !=0">     <!--CCB432 Alice SW_8 CP: 0-->
            <!--SIGNALING-->
            <xsl:if test="string-length($dtmf_enabled) &gt; 0">
              <xsl:call-template name="SIGNALING" />
            </xsl:if>
          </xsl:if>
        </xsl:if>

        <xsl:if test="$CodeplugSize = 1">
          <!--SIGNALING-->
          <!--MDC-->
          <xsl:if test="string-length($sigsystitle_enabled) &gt; 0">
            <h3>
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">SIGNALING</xsl:with-param>
              </xsl:call-template>
            </h3>
          <table>
            <tr>
          <xsl:call-template name='GENERAL_NODE'>
            <xsl:with-param name='cp_node' select='//RWS_AUTORESETTIMER' />
          </xsl:call-template>
            </tr>
          </table>
          </xsl:if>
          
          <xsl:if test="string-length($mdcsig_enabled) &gt; 0">
            <table>
              <tr>
                <td class="em_head">
                  <xsl:call-template name="GUI_LOOK">
                    <xsl:with-param name="lookup">MDC</xsl:with-param>
                  </xsl:call-template>
                </td>
              </tr>
            </table>
            <xsl:apply-templates select="//MDC_SYS_GRP" mode="mdc" />
          </xsl:if>
          <!--QCII-->
          <xsl:if test="string-length($qciisig_enabled) &gt; 0">
            <table>
              <tr>
                <td class="em_head">
                  <xsl:call-template name="GUI_LOOK">
                    <xsl:with-param name="lookup">QCII</xsl:with-param>
                  </xsl:call-template>
                </td>
              </tr>
            </table>
            <xsl:apply-templates select="//QCII_SYS_GRP" mode="qcii" />
          </xsl:if>
          <!--DTMF-->
          <xsl:if test="string-length($dtmfsig_enabled) &gt; 0">
            <table>
              <tr>
                <td class="em_head">
                  <xsl:call-template name="GUI_LOOK">
                    <xsl:with-param name="lookup">DTMF</xsl:with-param>
                  </xsl:call-template>
                </td>
              </tr>
            </table>
            <xsl:apply-templates select="//DTMF_SYS_GRP" mode="dtmf" />
          </xsl:if>
          <!--PHONE-->
          <xsl:if test="(string-length($phonetitle_enabled) &gt; 0) and ($display != 1)">
            <xsl:call-template name="PHONE" />
            <xsl:call-template name="PHONE_LIST" />
          </xsl:if>
          <xsl:if test="(string-length($phonetitle_enabled) &gt; 0) and ($display != 1)">
            <table>
              <tr>
                <td class="em_head">
                  <xsl:call-template name="GUI_LOOK">
                    <xsl:with-param name="lookup">PHONE</xsl:with-param>
                  </xsl:call-template>
                </td>
              </tr>
            </table>
          </xsl:if>
          <xsl:if test="(string-length($phonesys_enabled) &gt; 0) and ($display != 1)">
            <xsl:apply-templates select="//PHONE_SYS_GRP" mode="phone" />
          </xsl:if>
          <!--DTMFCALL-->
          <xsl:if test="(string-length($dtmfcall_enabled) &gt; 0) and ($display != 1)">
            <h3>
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">Call</xsl:with-param>
              </xsl:call-template>
            </h3>
            <xsl:call-template name="CALL_LIST" />
            <table>
              <tr>
                <td class="em_head">
                  <xsl:call-template name="GUI_LOOK">
                    <xsl:with-param name="lookup">DTMF</xsl:with-param>
                  </xsl:call-template>
                </td>
              </tr>
            </table>
            <xsl:apply-templates select="//DTMF_CALL_GRP" mode="dtmfcall" />
          </xsl:if>

          <!--Added By Wang Jing For Beacon Phase III CCB MDC -->
          <xsl:if test="(string-length($mdccall_enabled) &gt; 0) and ($display != 1)">
            <table>
              <tr>
                <td class="em_head">
                  <xsl:call-template name="GUI_LOOK">
                    <xsl:with-param name="lookup">MDC</xsl:with-param>
                  </xsl:call-template>
                </td>
              </tr>
            </table>
            <xsl:apply-templates select="//MDC_CALL_GRP" mode="mdccall" />
          </xsl:if>

        </xsl:if>
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0)">
          <xsl:if test="$softmode != 5 and $softmode != 6 and $softmode !=7 and $softmode !=0">   <!--CCB432 Alice SW_8 CP: 0-->
            <!--PHONE-->

            <xsl:if test="string-length($phone_enabled) &gt; 0">
              <xsl:call-template name="PHONE" />
              <xsl:call-template name="PHONE_LIST" />
            </xsl:if>
            <!--CALL-->
            <xsl:if test="string-length($call_enabled) &gt; 0">
            <xsl:call-template name="CALL" />
            </xsl:if>
          </xsl:if>
        </xsl:if>
        <xsl:if test="string-length($channel_enabled) &gt; 0">
          <h3>
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">CHANNEL_SECTION</xsl:with-param>
            </xsl:call-template>
          </h3>
          <!-- <table>
					<xsl:apply-templates select="//CHANNEL_GRP/CHANNEL" mode="position" />
				</table> -->
          <xsl:apply-templates select="//CHANNEL_GRP" mode="channel" />
        </xsl:if>
        <!--SCAN-->

        <xsl:if test="string-length($scan_enabled) &gt; 0">
          <xsl:call-template name='SCAN' />

          <xsl:variable name="scanenable">
            <xsl:call-template name="VIEW_ENABLED">
              <xsl:with-param name="cp_field">SC_SLMEMBERS</xsl:with-param>
            </xsl:call-template>
          </xsl:variable>
          <xsl:if test="string-length($scanenable) &gt; 0">
            <xsl:call-template name="scan_pageloop">
              <xsl:with-param name="counter" select="$pagestart" />
              <xsl:with-param name="numpages" select="$numpageScan" />
            </xsl:call-template>
          </xsl:if>
        </xsl:if>
      </body>
    </html>
  </xsl:template>
  <xsl:template name="DEVICE_INFO">
    <h3 class="breakBefore">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">DEVICE_INFO</xsl:with-param>
      </xsl:call-template>
    </h3>
    <table>
      <tr>
        <xsl:call-template name='DEVICE_NODE'>
          <xsl:with-param name='cp_node' select='//MD_MODELNUM' />
        </xsl:call-template>
      </tr>
      <tr>
        <xsl:call-template name='DEVICE_NODE'>
          <xsl:with-param name='cp_node' select='//MD_SERIALNUM' />
        </xsl:call-template>
      </tr>
      <tr>
        <xsl:call-template name='DEVICE_NODE'>
          <xsl:with-param name='cp_node' select='//MD_FWVER' />
        </xsl:call-template>
      </tr>
      <tr>
        <xsl:call-template name='DEVICE_NODE'>
          <xsl:with-param name='cp_node' select='//MD_CPVER' />
        </xsl:call-template>
      </tr>
      <tr>
        <xsl:call-template name='DEVICE_NODE'>
          <xsl:with-param name='cp_node' select='//MD_FREQBAND' />
        </xsl:call-template>
      </tr>
      <tr>
        <xsl:call-template name='DEVICE_NODE_POWER'>
          <xsl:with-param name='cp_node' select='//MD_FIXTXPWR' />
        </xsl:call-template>
      </tr>
      <tr>
        <xsl:call-template name='DEVICE_NODE'>
          <xsl:with-param name='cp_node' select='//RWS_PROGDATE' />
        </xsl:call-template>
      </tr>
    </table>
  </xsl:template>
  <xsl:template name="GENERAL_SETTINGS">
    <!-- <xsl:variable name="general_enabled"><xsl:call-template name="GENERAL_ENABLED"/></xsl:variable>
			<xsl:if test="string-length($general_enabled) &gt; 0">
			-->
    <h3 class="breakBefore">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">GENERAL_SET</xsl:with-param>
      </xsl:call-template>
    </h3>
    <table>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_PWD' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_INTERNALSPKGAIN' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_INTERNALMICGAIN' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_EXTSPKTYPE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_EXTMICTYPE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_VOXHOLDTIME' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_VOXGAIN' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_BKLIGHTMODE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_BATTERYTYPE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_BATTERYSAVERMODE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/RWS_TOT' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/RWS_TOWT' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_PRIMECH' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_PRICHHANGTIME' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_TXHANGTIMER' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_SCRAMBLECODE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_MENUTOT' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_QUIKKEYOVERRIDE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_SCROLLTEXTEN' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_FPPEN' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_MODESWITCH' />
      </xsl:call-template>
      <xsl:if test="string-length($tone_enabled) &gt; 0">
        <tr>
          <td class="em_head">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">LBL_TLTTOPIC</xsl:with-param>
            </xsl:call-template>
          </td>
        </tr>
      </xsl:if>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//LBL_TLTTOPIC' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_ALERTTONEEN' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_LOBATTERYTONEEN' />
      </xsl:call-template>
      <xsl:if test="string-length($udp_enabled) &gt; 0">
        <tr>
          <td class="em_head">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">LBL_USERPLTOPIC</xsl:with-param>
            </xsl:call-template>
          </td>
        </tr>
      </xsl:if>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//LBL_USERPLTOPIC' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_USERTPL1' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_USERTPL2' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_USERTPL3' />
      </xsl:call-template>
      <!--
			<xsl:if test="string-length($standtime_enabled) &gt; 0">
			<tr>
				<td class="em_head">
					<xsl:call-template name="GUI_LOOK">
						<xsl:with-param name="lookup">LBL_STDBYTIMETOPIC</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
			</xsl:if>
			<xsl:call-template name='GENERAL_NODE'>
				<xsl:with-param name='cp_node' select='//LBL_STDBYTIMETOPIC' />
			</xsl:call-template>
			<xsl:call-template name='GENERAL_NODE'>
				<xsl:with-param name='cp_node' select='//RWS_STANDBYONTIME' />
			</xsl:call-template>
			<xsl:call-template name='GENERAL_NODE'>
				<xsl:with-param name='cp_node' select='//RWS_STANDBYOFFTIME' />
			</xsl:call-template>
			<xsl:call-template name='GENERAL_NODE'>
				<xsl:with-param name='cp_node' select='//RWS_STANDBYHANGTIME' />
			</xsl:call-template>
			-->
    </table>
    <!-- </xsl:if> -->
  </xsl:template>
  <xsl:template name="BUTTONS">
    <!--
			<xsl:variable name="buttons_enabled"><xsl:call-template name="BUTTONS_ENABLED"/></xsl:variable>
		 	<xsl:if test="string-length($buttons_enabled) &gt; 0"> -->
    <xsl:variable name="vlulong">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name='lookup'>CB_BTNLONG</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="vlushrt">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name='lookup'>CB_BTNSHORT</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <h3 class="breakBefore">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">BUTTONS</xsl:with-param>
      </xsl:call-template>
    </h3>
    <table>
      <!-- <xsl:if test="string-length($radio_btn_enabled) &gt; 0"> -->
      <tr>
        <td></td>
        <td class="em_std">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup'>CB_BTNSHORT</xsl:with-param>
          </xsl:call-template>
        </td>
        <td class="em_std">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup'>CB_BTNLONG</xsl:with-param>
          </xsl:call-template>
        </td>
      </tr>
      <!--</xsl:if>-->
      <xsl:call-template name='BUTTON_NODE'>
        <xsl:with-param name='cp_nodeSHRT' select='//RWS_SB1SHORT' />
        <xsl:with-param name='cp_nodeLONG' select='//RWS_SB1LONG' />
      </xsl:call-template>
      <xsl:call-template name='BUTTON_NODE'>
        <xsl:with-param name='cp_nodeSHRT' select='//RWS_SB2SHORT' />
        <xsl:with-param name='cp_nodeLONG' select='//RWS_SB2LONG' />
      </xsl:call-template>
      <xsl:call-template name='BUTTON_NODE'>
        <xsl:with-param name='cp_nodeSHRT' select='//RWS_FB1SHORT' />
        <xsl:with-param name='cp_nodeLONG' select='//RWS_FB1LONG' />
      </xsl:call-template>
      <xsl:call-template name='BUTTON_NODE'>
        <xsl:with-param name='cp_nodeSHRT' select='//RWS_FB2SHORT' />
        <xsl:with-param name='cp_nodeLONG' select='//RWS_FB2LONG' />
      </xsl:call-template>
      <xsl:call-template name='BUTTON_NODE'>
        <xsl:with-param name='cp_nodeSHRT' select='//RWS_FB3SHORT' />
        <xsl:with-param name='cp_nodeLONG' select='//RWS_FB3LONG' />
      </xsl:call-template>
    </table>
    <!-- </xsl:if>	-->
  </xsl:template>
  <xsl:template name="pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="PERS_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="scan_pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="SCAN_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="scan_pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="PERS_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="pers" select="$enableCh[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$pers" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$pers" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_ENABLED" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_BANDWIDTH" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SL" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_AUTOSCAN" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SCANTYPE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_CALLTYPE" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SQLTYPE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PLREQFORCALL" />
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_INDIVACKEN" />
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PHONESYS" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SCRAMBLEEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXONLY" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PHONEEN" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_COMPANDEXPANDEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TA" />
        </xsl:call-template>
        <!-- RX -->
        <xsl:if test="string-length($rx_enabled) &gt; 0">
          <tr>
            <td class="em_head">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">LBL_CPRXTOPIC</xsl:with-param>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXSQUELCHTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXDPLCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXDPLINVERT" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXTPLFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXTPLCODE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_RXSIGSYS" />
          </xsl:call-template>
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PLREQFORDATA" />
          </xsl:call-template>
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_SIGSQUELCH" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_MUTERULE" />
        </xsl:call-template>
        <!-- TX -->
        <xsl:if test="string-length($tx_enabled) &gt; 0">
          <tr>
            <td class="em_head">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">LBL_CPTTXTOPIC</xsl:with-param>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXSQUELCHTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXDPLCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXDPLINVERT" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXTPLFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXTPLCODE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_TXSIGSYS" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TPLREVBURST" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXPWRLEVEL" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_PTTIDEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TURNOFFCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_VOXEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_BCLO" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
  <xsl:template name="HEADER_ROW">
    <xsl:param name="cp_nodes" />
    <xsl:for-each select="$cp_nodes">
      <xsl:if test="position() ='1'">
        <xsl:text disable-output-escaping="yes">
              		&lt;th width='75'"> &amp;nbsp &lt;/th>
				</xsl:text>
      </xsl:if>
      <th>
        <xsl:value-of select='.' />
      </th>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="BUTTON_NODE">
    <xsl:param name="cp_nodeSHRT" />
    <xsl:param name="cp_nodeLONG" />
    <xsl:variable name="view_field">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field" select="name($cp_nodeSHRT)"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:if test="$cp_nodeSHRT/@Applicable != 'NA' and string-length($view_field) &gt; 0">
      <tr>
        <td class="em_width">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup' select="name($cp_nodeSHRT)" />
          </xsl:call-template>
        </td>
        <xsl:call-template name='GUI_RES'>
          <xsl:with-param name='cp_node' select='$cp_nodeSHRT' />
        </xsl:call-template>
        <xsl:call-template name='GUI_RES'>
          <xsl:with-param name='cp_node' select='$cp_nodeLONG' />
        </xsl:call-template>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="SCAN_NODE">
    <xsl:param name="cp_node" />
    <xsl:variable name="scannode">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field" select="name($cp_node)"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:if test="$cp_node/@Applicable != 'NA' and string-length($scannode) &gt; 0">
      <tr>
        <td class="em_width">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup' select="name($cp_node)" />
          </xsl:call-template>
        </td>
        <xsl:call-template name='GUI_RES'>
          <xsl:with-param name='cp_node' select='$cp_node' />
        </xsl:call-template>
      </tr>
    </xsl:if>
  </xsl:template>

  <!-- VIEW CHECKING TEMPLATES -->
  <!-- END VIEW CHECKING TEMPLATES -->
  <xsl:template name="GENERAL_NODE">
    <xsl:param name="cp_node" />
    <xsl:variable name="view_field">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field" select="name($cp_node)" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="primech" select="$cp_node/../RWS_PRIMECH" />
    <xsl:variable name="tot" select="$cp_node/../RWS_TOT" />
    <xsl:if test="$cp_node/@Applicable != 'NA' and string-length($view_field) &gt; 0">
      <tr>
        <td class="em_width">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup' select="name($cp_node)" />
          </xsl:call-template>
        </td>
        <!-- add dependency handling. Kyle 2009.5.31 -->
        <xsl:choose>
          <xsl:when test="(name($cp_node) = 'RWS_PRICHHANGTIME' and $primech = 'SELECTED') or
					(name($cp_node) = 'RWS_TOWT' and $tot = '0')">
            <td>
              <xsl:value-of select="$not_applicable" />
            </td>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name='GUI_RES'>
              <xsl:with-param name='cp_node' select='$cp_node' />
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
    </xsl:if>
  </xsl:template>
  <xsl:template name="DEVICE_NODE">
    <xsl:param name="cp_node" />

    <xsl:variable name="view_field">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field" select="name($cp_node)"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:if test="$cp_node/@Applicable != 'NA' and string-length($view_field) &gt; 0">
      <tr>
        <td class="em_width">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup' select="name($cp_node)" />
          </xsl:call-template>
        </td>
        <xsl:call-template name='GUI_RES'>
          <xsl:with-param name='cp_node' select='$cp_node' />
        </xsl:call-template>
      </tr>
    </xsl:if>
  </xsl:template>


  <xsl:template name="DEVICE_NODE_POWER">
    <xsl:param name="cp_node" />

    <xsl:variable name="view_field">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field" select="name($cp_node)"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:if test="$cp_node/@Applicable != 'NA' and string-length($view_field) &gt; 0">
      <tr>
        <td class="em_width">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup' select="name($cp_node)" />
          </xsl:call-template>
        </td>
        <xsl:variable name='power' select="$cp_node"/>
        <xsl:choose>
          <xsl:when test="$power != 'VARIABLE'">
            <xsl:call-template name='GUI_RES'>
              <xsl:with-param name='cp_node' select='$cp_node' />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="//MD_TXLOPWRVAL"/> ,
              <xsl:value-of select="//MD_TXHIPWRVAL"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="SIGNALING">
    <!-- <xsl:if test="string-length($signaling_enabled) &gt; 0"> -->
    <h3 class="breakBefore">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">DTMF_SIG</xsl:with-param>
      </xsl:call-template>
    </h3>
    <table>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFTXPRETIME' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFRESETDUR' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFTONEDUR' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFINTVAL' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFWIDECARDPAGE' />
      </xsl:call-template>
      <xsl:if test="string-length($dtmftx_enabled) &gt; 0">
        <tr>
          <td class="em_head">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">LBL_DTMFTXTOPIC</xsl:with-param>
            </xsl:call-template>
          </td>
        </tr>
      </xsl:if>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFSTEN' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFPTTIDTYPE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFPTTLID' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFACKID' />
      </xsl:call-template>
      <xsl:if test="string-length($dtmfrx_enabled) &gt; 0">
        <tr>
          <td class="em_head">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">LBL_DTMFRXTOPIC</xsl:with-param>
            </xsl:call-template>
          </td>
        </tr>
      </xsl:if>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFINDIVID' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFGROUPID' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFALLID' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_DTMFDISPDECODEID' />
      </xsl:call-template>
    </table>
    <!-- </xsl:if> -->
  </xsl:template>
  <xsl:template name="PHONE">
    <!-- <xsl:if test="string-length($signaling_enabled) &gt; 0"> -->
    <h3 class="breakBefore">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup">PHONE</xsl:with-param>
      </xsl:call-template>
    </h3>
    <table>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_PHNACCESSCODE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_PHNDEACCESSCODE' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_PHNSTRIPPL' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_PHNPPLREQ' />
      </xsl:call-template>
      <xsl:call-template name='GENERAL_NODE'>
        <xsl:with-param name='cp_node' select='//RWS_OVERRIDEBCLFORPHN' />
      </xsl:call-template>
    </table>
    <!-- </xsl:if> -->
  </xsl:template>
  <xsl:template name="PHONE_LIST">

    <xsl:variable name="number">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field">RWS_PHNNUMBER</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="alias">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field">RWS_PHNALIAS</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="string-length($number) &gt; 0 or string-length($alias) &gt; 0">
      <table>
        <tr>
          <td class="em_head">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">PHONE_LIST</xsl:with-param>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <xsl:if test="string-length($number) &gt; 0">
            <td class="em_std">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">RWS_PHNNUMBER</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="string-length($alias) &gt; 0">
            <td class="em_std">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">RWS_PHNALIAS</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <xsl:for-each select='//PHONE_GRP/PHONE'>
          <tr>
            <xsl:if test="string-length($number) &gt; 0">
              <td>
                <xsl:value-of select='RWS_PHNNUMBER' />
              </td>
            </xsl:if>
            <xsl:if test="string-length($alias) &gt; 0">
              <td>
                <xsl:value-of select='RWS_PHNALIAS' />
              </td>
            </xsl:if>
          </tr>
        </xsl:for-each>
      </table>
    </xsl:if>
  </xsl:template>
  <xsl:template name="CALL">
    <xsl:variable name="callnumber">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field">RWS_CALLNUMBER</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="strippl">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field">RWS_CALLSTRIPPL</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="string-length($callnumber) &gt; 0 or string-length($strippl) &gt; 0 ">
      <h3 class="breakBefore">
        <xsl:call-template name="GUI_LOOK">
          <xsl:with-param name="lookup">CALL_GRP</xsl:with-param>
        </xsl:call-template>
      </h3>
      <!-- <xsl:if test="string-length($signaling_enabled) &gt; 0"> -->
      <table>
        <tr>
          <td></td>
          <xsl:if test="string-length($callnumber) &gt; 0">
            <td class="em_std">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">RWS_CALLNUMBER</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="string-length($strippl) &gt; 0">
            <td class="em_std">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">RWS_CALLSTRIPPL</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <xsl:for-each select='//CALL_GRP/CALL'>
          <tr>
            <td class="em_std">
              <xsl:value-of select='RWS_CALLALIAS' />
            </td>
            <xsl:if test="string-length($callnumber) &gt; 0">
              <td>
                <xsl:value-of select='RWS_CALLNUMBER' />
              </td>
            </xsl:if>
            <xsl:if test="string-length($strippl) &gt; 0">
              <td>
                <xsl:call-template name="BOOL_LOOK">
                  <xsl:with-param name="lookup">
                    <xsl:value-of select='RWS_CALLSTRIPPL' />
                  </xsl:with-param>
                </xsl:call-template>
              </td>
            </xsl:if>
          </tr>
        </xsl:for-each>
      </table>
    </xsl:if>
  </xsl:template>
  <xsl:template name="SCAN_HEADER_ROW">
    <xsl:param name="cp_nodes" />
    <xsl:for-each select="$cp_nodes">
      <xsl:if test="position() ='1'">
        <xsl:text disable-output-escaping="yes">
              		&lt;th width='100'"> &amp;nbsp &lt;/th>
				</xsl:text>
      </xsl:if>
      <xsl:variable name='listno' select='./@ListID+1' />
      <xsl:choose>
        <xsl:when test='$listno=1'>
          <th width="100">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">SCANLIST1</xsl:with-param>
            </xsl:call-template>
          </th>
        </xsl:when>
        <xsl:when test='$listno=2'>
          <th width="100">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">SCANLIST2</xsl:with-param>
            </xsl:call-template>
          </th>
        </xsl:when>
        <xsl:when test='$listno=3'>
          <th width="100">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">SCANLIST3</xsl:with-param>
            </xsl:call-template>
          </th>
        </xsl:when>
        <xsl:when test='$listno=4'>
          <th width="100">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">SCANLIST4</xsl:with-param>
            </xsl:call-template>
          </th>
        </xsl:when>
        <xsl:when test='$listno=5'>
          <th width="100">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">SCANLIST5</xsl:with-param>
            </xsl:call-template>
          </th>
        </xsl:when>
      </xsl:choose>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="SCAN_LIST_MEMBER">
    <xsl:param name="cp_nodes" />
    <xsl:for-each select="$cp_nodes">
      <xsl:variable name='listno' select='./@ListID+1' />
      <xsl:variable name='prich' select='./RWS_SLPRIOCH' />
      <td class="top">
        <xsl:for-each select="./SCANCH_GRP/SCANCH">
          <xsl:variable name='channelno' select='./RWS_SLSCANCH' />
          <xsl:value-of select='//CHANNEL[@ListID=$channelno]/CH_ALIAS' />
          <xsl:if test="$prich=$channelno">
            <xsl:text> </xsl:text>
            <img src="scan.jpg" align="top"/>
          </xsl:if>
          <br></br>
        </xsl:for-each>
      </td>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="SCAN_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <!-- <h3 class = "breakBefore"><xsl:call-template name="GUI_LOOK"><xsl:with-param name ="lookup">SCAN_LISTS</xsl:with-param></xsl:call-template></h3> -->
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <table>
      <xsl:call-template name="SCAN_HEADER_ROW">
        <xsl:with-param name="cp_nodes" select="//SCANLIST[@ListID + 1 &gt;= $start and @ListID + 1 &lt;= $end]" />
      </xsl:call-template>
      <tr>
        <td class="em_width_top">
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">LBL_SLMEM</xsl:with-param>
          </xsl:call-template>
        </td>
        <xsl:call-template name="SCAN_LIST_MEMBER">
          <xsl:with-param name="cp_nodes" select="//SCANLIST[@ListID + 1 &gt;= $start and @ListID + 1 &lt;= $end]" />
        </xsl:call-template>
        <!--   	
     	<td class="top">channel1</td><td class="top">channel1<br></br>channel2</td>
 	
     	<xsl:if test="(string-length($members_field) &gt; 0) and (count(//SCAN_PER_DLL_TYPE[@Applicable != 'NA']) &gt; 0)">
     	<xsl:for-each select="//SCAN_PER_DLT_TYPE[@ListID + 1 &gt;= $start and @ListID + 1 &lt;= $end]">
  	      <xsl:if test="@ListID + 1=$start">
					<td class="em_width_top"><xsl:call-template name = 'GUI_LOOK'><xsl:with-param name = 'lookup'>DG_SLMEM</xsl:with-param></xsl:call-template></td>
          </xsl:if>
     	  <td class="nopad"><table>
     	  <tr><td><xsl:call-template name = 'GUI_LOOK'><xsl:with-param name = 'lookup'>SELECTED</xsl:with-param></xsl:call-template></td></tr>
     	  <xsl:apply-templates select=".//SCAN_PER_DLL_TYPE"/>
     	  </table></td>
     	</xsl:for-each>
     	</xsl:if> -->
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="CHANNEL" mode="position">
    <xsl:if test="position() = 1">
      <tr>
        <td class="em_std">
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">CH_POSITION</xsl:with-param>
          </xsl:call-template>
        </td>
        <td class="em_std">
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup">ZN_PER_ASGN_DLL_TYPE</xsl:with-param>
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
    <tr>
      <td>
        <xsl:value-of select="position()" />
      </td>
      <td>
        <xsl:value-of select='./CH_ALIAS' />
      </td>
    </tr>
  </xsl:template>
  <xsl:template match="CHANNEL_GRP" mode="channel">
    <xsl:call-template name="pageloop">
      <xsl:with-param name="counter" select="$pagestart" />
      <xsl:with-param name="numpages" select="$numpageCh" />
    </xsl:call-template>
  </xsl:template>
  <!-- this is used to get the alias based on a key-->
  <xsl:template name="ALIAS_ROW">
    <xsl:param name="colwidth" />
    <xsl:param name="cp_nodes" />
    <xsl:for-each select="$cp_nodes">
      <xsl:if test="position()=1">
        <xsl:text disable-output-escaping="yes">
               &lt;th width="{$colwidth}"> &amp;nbsp &lt;/th>
		   </xsl:text>
      </xsl:if>
      <th width="{$colwidth}">
        <xsl:value-of select='./CH_ALIAS' />
      </th>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="POSITION_ROW">
    <xsl:param name="cp_nodes" />
    <xsl:param name="page_num" />
    <xsl:for-each select="$cp_nodes">
      <xsl:variable name="currentnode" select="CH_ALIAS" />
      <xsl:if test="position()= 1">
        <td class="em_width">
          <xsl:call-template name='GUI_LOOK'>
            <xsl:with-param name='lookup'>POSITION</xsl:with-param>
          </xsl:call-template>
        </td>
      </xsl:if>
      <td>
        <xsl:value-of select="count(/BEACON_CODEPLUG/CHANNEL_SECTION/CHANNEL_GRP/CHANNEL[CH_ALIAS=$currentnode]/preceding-sibling::CHANNEL) + 1" />
      </td>
    </xsl:for-each>
  </xsl:template>

  <!-- add dependency handling for TPL, DPL etc. Kyle, 2009.5.31  -->

  <xsl:template name="RXTX_CELL">
    <xsl:param name="cp_nodes" />

    <xsl:variable name="rxonly" select="../CH_RXONLY" />
    <xsl:variable name="rxsqtype" select="../CH_RXSQUELCHTYPE" />
    <xsl:variable name="txsqtype" select="../CH_TXSQUELCHTYPE" />
    <!-- Added By Aries for Phase III-->
    <xsl:variable name="qcii_calltype" select="../QCII_CALLTYPE" />
    <xsl:variable name="qcii_callformat" select="../QCII_CALLFORMAT" />
    <xsl:variable name="dtmf_calltype" select="../DTMF_CALLTYPE" />
    <xsl:variable name="txsigsys" select="../CH_TXSIGSYS"/>
    <xsl:variable name="rxsquelchtype" select="../CH_RXSQUELCHTYPE"/>
    <xsl:variable name="rxsigsys" select="../CH_RXSIGSYS"/>
    <xsl:choose>
      <!-- RX  -->
      <xsl:when test="($rxsqtype = 'CSQ' and (name(.) = 'CH_RXDPLCODE' or name(.) = 'CH_RXDPLINVERT' or name(.) = 'CH_RXTPLCODE' or name(.) = 'CH_RXTPLFREQ' or name(.) = 'CH_MUTERULE')) or
								($rxsqtype = 'TPL' and (name(.) = 'CH_RXDPLCODE' or name(.) = 'CH_RXDPLINVERT')) or
								($rxsqtype = 'DPL' and (name(.) = 'CH_RXTPLCODE' or name(.) = 'CH_RXTPLFREQ'))">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!-- TX rxonly=true -->
      <xsl:when test="$rxonly = '1' and (
										name(.) = 'CH_TXFREQ' or
										name(.) = 'CH_TXSQUELCHTYPE' or
										name(.) = 'CH_TXDPLCODE' or
										name(.) = 'CH_TXDPLINVERT' or
										name(.) = 'CH_TXTPLCODE' or
										name(.) = 'CH_TXTPLFREQ' or
										name(.) = 'CH_TPLREVBURST' or
										name(.) = 'CH_TXPWRLEVEL' or
										name(.) = 'CH_PTTIDEN' or
										name(.) = 'CH_TURNOFFCODE' or
										name(.) = 'CH_VOXEN' or
										name(.) = 'CH_BCLO' or
                    name(.) = 'CH_TXSIGSYS' or
                    name(.) = 'CH_TALKACTEN')">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!-- TX rxonly=false -->
      <xsl:when test="$rxonly = '0' and (
										($txsqtype = 'CSQ' and (name(.) = 'CH_TXDPLCODE' or name(.) = 'CH_TXDPLINVERT' or name(.) = 'CH_TXTPLCODE' or name(.) = 'CH_TXTPLFREQ' or name(.) = 'CH_TPLREVBURST' or name(.) = 'CH_TURNOFFCODE')) or
										($txsqtype = 'TPL' and (name(.) = 'CH_TXDPLCODE' or name(.) = 'CH_TXDPLINVERT' or name(.) = 'CH_TURNOFFCODE')) or
										($txsqtype = 'DPL' and (name(.) = 'CH_TXTPLCODE' or name(.) = 'CH_TXTPLFREQ' or name(.) = 'CH_TPLREVBURST')) or
                    (substring-before($txsigsys, '_') != 'MDCC' and substring-before($txsigsys, '_') != 'DTMF' and name(.) = 'CH_PTTIDEN'))
										">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!-- Added By Aries for Phase III-->
      <xsl:when test="$qcii_calltype = 'NONE' and (
                name(.) = 'QCII_CALLFORMAT' or name(.) = 'QCII_ARTTYPE' or name(.) = 'QCII_AFREQ' or name(.) = 'QCII_BFREQ' or 
                name(.) = 'QCII_CFREQ' or name(.) = 'QCII_DFREQ' or name(.) = 'QCII_ACODE' or name(.) = 'QCII_BCODE' or 
                name(.) = 'QCII_CCODE' or name(.) = 'QCII_DCODE' or name(.) = 'QCII_ATAUTORESET')
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!--<xsl:when test="$qcii_calltype != 'NONE' and (
                ($qcii_calltype = 'SELECTIVE_CALL' and name(.) = 'QCII_ATAUTORESET') or
                 ($qcii_calltype = 'CALLALERT' and name(.) = 'QCII_ARTTYPE') or
                (($qcii_callformat = 'A2B' or $qcii_callformat = 'ABLB') and (name(.) = 'QCII_CFREQ' or name(.) = 'QCII_CCODE')) or
                (($qcii_callformat != 'ABADCD' or $qcii_callformat != 'ABCD') and (name(.) = 'QCII_DFREQ' or name(.) = 'QCII_DCODE')))
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      -->
      <xsl:when test="$dtmf_calltype = 'NONE' and (
                name(.) = 'DTMF_CALLLED' or name(.) = 'DTMF_ATAUTORESET' or name(.) = 'DTMF_ARTTYPE' or name(.) = 'DTMF_INDIVACKEN')
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!--
      <xsl:when test="$dtmf_calltype != 'NONE' and (
                ($dtmf_calltype = 'SELECTIVE_CALL' and (name(.) = 'DTMF_ATAUTORESET' or name(.) = 'DTMF_INDIVACKEN')) or
                 ($dtmf_calltype = 'CALL_ALERT' and name(.) = 'DTMF_ARTTYPE'))
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      -->
      <xsl:when test="($rxsigsys = 'NONE' and (name(.) = 'CH_SIGSQUELCH' or name(.) = 'CH_PLREQFORDATA')) or
                    ($rxsigsys != 'NONE' and ($rxsquelchtype = 'CSQ' and name(.) = 'CH_PLREQFORDATA')) or
                    (substring-before($txsigsys, '_') != 'MDCC' and substring-before($txsigsys, '_') != 'DTMF' and name(.) = 'CH_PTTIDEN')
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name='GUI_RES'>
          <xsl:with-param name='cp_node' select='.' />
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

  </xsl:template>

  <xsl:template name="TABLE_ROW">
    <xsl:param name="cp_nodes" />
    <xsl:variable name="anlg_field">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field" select="name($cp_nodes[1])" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:if test="string-length($anlg_field) &gt; 0">
      <xsl:choose>
        <xsl:when test="$countPers &gt; 0">
          <tr>
            <xsl:for-each select="$cp_nodes">
              <xsl:if test= "@Applicable != 'NA'">
                <xsl:choose>
                  <xsl:when test="@Applicable = 'Enabled' or @Applicable = 'Disabled'">
                    <xsl:if test="position()= 1">
                      <xsl:call-template name='GUI_LABEL'>
                        <xsl:with-param name='cp_node' select='.' />
                      </xsl:call-template>
                    </xsl:if>
                    <!-- add dependency handling for TPL, DPL etc. Kyle, 2009.5.31  -->
                    <xsl:call-template name='RXTX_CELL'>
                      <xsl:with-param name='cp_nodes' select='.' />
                    </xsl:call-template>
                    <!-- end. Kyle, 2009.5.31  -->
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:if test="position()= 1">
                      <xsl:call-template name='GUI_LABEL'>
                        <xsl:with-param name='cp_node' select='.' />
                      </xsl:call-template>
                    </xsl:if>
                    <td>
                      <xsl:value-of select="$not_applicable" />
                    </td>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:if>
            </xsl:for-each>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <!--
				<xsl:for-each select="$cp_nodes">
					<xsl:choose>
						<xsl:when test="@Applicable = 'Enabled'">
							<tr>
								<xsl:if test="position()= 1">
									<xsl:call-template name='GUI_LABEL'>
										<xsl:with-param name='cp_node' select='.' />
									</xsl:call-template>
								</xsl:if>
								<xsl:call-template name='GUI_RES'>
									<xsl:with-param name='cp_node' select='.' />
								</xsl:call-template>
							</tr>
						</xsl:when>
						<xsl:when test="@Applicable = 'Disabled'">
							<tr>
								<xsl:if test="position()= 1">
									<xsl:call-template name='GUI_LABEL'>
										<xsl:with-param name='cp_node' select='.' />
									</xsl:call-template>
								</xsl:if>
								<td>
									<xsl:value-of select="$not_applicable" />
								</td>
							</tr>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
				-->
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
  </xsl:template>

  <xsl:template name="LIST_ROW">
    <xsl:param name="cp_nodes" />
    <xsl:param name="view_type" />
    <tr>
      <xsl:for-each select="$cp_nodes">
        <xsl:if test="position()='1'">
          <xsl:call-template name='GUI_LABEL'>
            <xsl:with-param name='cp_node' select='.' />
          </xsl:call-template>
        </xsl:if>
        <xsl:call-template name='GUI_RES'>
          <xsl:with-param name='cp_node' select='.' />
        </xsl:call-template>
      </xsl:for-each>
    </tr>
  </xsl:template>
  <xsl:template name="PERSTYPE_ROW">
    <xsl:param name="cp_nodes" />
    <xsl:param name="view_type" />
    <tr>
      <xsl:for-each select="$cp_nodes">
        <xsl:if test="position()='1'">
          <xsl:call-template name='GUI_LABEL'>
            <xsl:with-param name='cp_node' select='.' />
          </xsl:call-template>
        </xsl:if>
        <xsl:choose>
          <xsl:when test=". = 'ANLGCONV'">
            <td>
              <xsl:call-template name='GUI_LOOK'>
                <xsl:with-param name='lookup'>ANALOG_CHANNEL</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:call-template name='GUI_LOOK'>
                <xsl:with-param name='lookup'>DIGITAL_CHANNEL</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
    </tr>
  </xsl:template>
  <!-- MATCHING TEMPLATES -->
  <xsl:template match="MD_MODELNUM">
    <td class="em_std">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup" select="name(.)" />
      </xsl:call-template>
    </td>
    <td>
      <xsl:call-template name='GUI_RES'>
        <xsl:with-param name='cp_node' select='.' />
      </xsl:call-template>
    </td>
  </xsl:template>
  <xsl:template match="MD_SERIALNUM">
    <td class="em_std">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup" select="name(.)" />
      </xsl:call-template>
    </td>
    <td>
      <xsl:call-template name='GUI_RES'>
        <xsl:with-param name='cp_node' select='.' />
      </xsl:call-template>
    </td>
  </xsl:template>
  <xsl:template name="SCAN">
    <xsl:variable name="scanlist_enabled">

      <xsl:choose>
        <xsl:when test="count($treenodes) &gt; 0">
          <xsl:value-of select="name($view_res//TREE_NODES/RWS_SCANHANGTIME)"/>
          <xsl:value-of select="name($view_res//TREE_NODES/RWS_SCANINTVALDTIME)"/>
          <xsl:value-of select="name($view_res//TREE_NODES/RWS_SIGHOLDTIME)"/>
          <xsl:value-of select="name($view_res//TREE_NODES/RWS_TALKBACKSCANEN)"/>
          <xsl:value-of select="name($view_res//TREE_NODES/SC_SLMEMBERS)"/>
        </xsl:when>
        <xsl:otherwise>
          expert
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:if test="string-length($scanlist_enabled) &gt; 0">
      <!-- <xsl:variable name="scan_enabled"><xsl:call-template name="SCAN_ENABLED"/></xsl:variable>
		 	<xsl:if test="string-length($scan_enabled) &gt; 0"> -->
      <h3 class="breakBefore">
        <xsl:call-template name="GUI_LOOK">
          <xsl:with-param name="lookup">SCANLIST_GRP</xsl:with-param>
        </xsl:call-template>
      </h3>
      <table>
        <tr>
          <xsl:call-template name='SCAN_NODE'>
            <xsl:with-param name='cp_node' select='//RWS_SCANHANGTIME' />
          </xsl:call-template>
        </tr>
        <tr>
          <xsl:call-template name='SCAN_NODE'>
            <xsl:with-param name='cp_node' select='//RWS_SCANINTVALDTIME' />
          </xsl:call-template>
        </tr>
        <tr>
          <xsl:call-template name='SCAN_NODE'>
            <xsl:with-param name='cp_node' select='//RWS_SIGHOLDTIME' />
          </xsl:call-template>
        </tr>
        <tr>
          <xsl:call-template name='SCAN_NODE'>
            <xsl:with-param name='cp_node' select='//RWS_TALKBACKSCANEN' />
          </xsl:call-template>
        </tr>
      </table>
    </xsl:if>
  </xsl:template>
  <!---xsl:template name="channelloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:choose>
        <xsl:when test="$counter &lt; $numpages">
          <xsl:variable name="colwidth" select="500 div $persperpage" />
          <xsl:call-template name="CHANNEL">
            <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
            <xsl:with-param name="width" select="$colwidth" />
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:variable name="colwidth" select="500 div ($countCh -($counter * $persperpage))" />
          <xsl:call-template name="CHANNEL">
            <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
            <xsl:with-param name="width">
              <xsl:choose>
                <xsl:when test="$colwidth &gt; 150">150</xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$colwidth" />
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:call-template name="channelloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template-->
  <!--END MATCHING TEMPLATES -->
  <!--COMMON TEMPLATES -->
  <xsl:template name="GUI_RES">
    <xsl:param name="cp_node" />
    <td>
      <xsl:variable name="applicable">
        <xsl:value-of select='$cp_node/@Applicable' />
      </xsl:variable>
      <xsl:choose>
        <xsl:when test="$applicable != 'NA'">
          <xsl:variable name='type'>
            <xsl:call-template name="FIELD_LOOK">
              <xsl:with-param name="lookup" select="name($cp_node)" />
            </xsl:call-template>
          </xsl:variable>
          <xsl:variable name='fieldvalue'>
            <xsl:choose>
              <xsl:when test='$type=0'>
                <xsl:call-template name="BOOL_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=1'>
                <xsl:value-of select="$cp_node" />
              </xsl:when>
              <xsl:when test='$type=2'>
                <xsl:call-template name="GUI_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=3'>
                <xsl:variable name="progdatetime" select="$cp_node" />
                <xsl:call-template name="format-date">
                  <xsl:with-param name="monthvalue" select="substring($progdatetime, 3, 2)"/>
                  <xsl:with-param name="dayvalue" select="substring($progdatetime, 5, 2)"/>
                  <xsl:with-param name="yearvalue" select="number(concat('20',substring($progdatetime, 1, 2)))"/>
                </xsl:call-template>
                <xsl:text disable-output-escaping="yes">  </xsl:text>
                <xsl:call-template name="format-time">
                  <xsl:with-param name="hourvalue" select="substring($progdatetime, 7, 2)"/>
                  <xsl:with-param name="minutevalue" select="substring($progdatetime, 9, 2)"/>
                  <xsl:with-param name="secondvalue">00</xsl:with-param>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=4'>
                <xsl:variable name="ch_id" select="$cp_node" />
                <xsl:value-of select="//CHANNEL[@ListID=$ch_id]/CH_ALIAS" />
                <xsl:if test="$ch_id = 'SELECTED'">
                  <xsl:call-template name='GUI_LOOK'>
                    <xsl:with-param name='lookup'>SELECTED</xsl:with-param>
                  </xsl:call-template>
                </xsl:if>
              </xsl:when>
              <xsl:when test='$type=5'>
                <xsl:variable name="sys_id" select="$cp_node" />
                <xsl:variable name="sys" select="substring-before($sys_id, '_')" />
                <xsl:variable name="id" select="substring-after($sys_id, '_')" />
                <xsl:choose>
                  <xsl:when test="$sys = 'MDCC'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/MDC_SYS_GRP/MDC_SYS[@ListID = $id]/MDC_ALIAS" />
                  </xsl:when>
                  <xsl:when test="$sys = 'DTMF'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_SYS_GRP/DTMF_SYS[@ListID = $id]/DTMF_ALIAS" />
                  </xsl:when>
                  <xsl:when test="$sys = 'QCII'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/QCII_SYS_GRP/QCII_SYS[@ListID = $id]/QCII_ALIAS" />
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:call-template name="GUI_LOOK">
                      <xsl:with-param name="lookup">NONE</xsl:with-param>
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:when test='$type=6'>
                <xsl:variable name="id" select="$cp_node" />
                <xsl:choose>
                  <xsl:when test="$id = 0">
                    <xsl:call-template name="GUI_LOOK">
                      <xsl:with-param name="lookup">NONE</xsl:with-param>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:when test="$id != 0">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/PHONE_SYS_GRP/PHONE_SYS[@ListID = ($id - 1)]/PHONE_ALIAS" />
                  </xsl:when>
                </xsl:choose>
              </xsl:when>
              <xsl:when test='$type=7'>
                <xsl:variable name="id" select="$cp_node" />
                <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_SYS_GRP/DTMF_SYS[@ListID = $id]/DTMF_ALIAS" />
              </xsl:when>
              <xsl:when test='$type=8'>
                <xsl:variable name="id" select="$cp_node" />
                <xsl:variable name="listid" select="$cp_node/@ListID" />
                <xsl:variable name="calltype" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/CALL_LIST_GRP/CALL_LIST[@ListID = $listid]/CALL_TYPE" />
                <xsl:choose>
                  <!--<xsl:when test="$calltype = 'MDC'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/MDC_SYS_GRP/MDC_SYS[@ListID = $id]/MDC_ALIAS" />
                  </xsl:when>
                  -->
                  <xsl:when test="$calltype = 'DTMF'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_CALL_GRP/DTMF_CALL[@ListID = $id]/DTMFC_CALLALIAS" />
                  </xsl:when>
                  <!--
                  <xsl:when test="$calltype = 'QCII'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/QCII_SYS_GRP/QCII_SYS[@ListID = $id]/QCII_ALIAS" />
                  </xsl:when>
                  -->
                  <xsl:otherwise>
                    <xsl:call-template name="GUI_LOOK">
                      <xsl:with-param name="lookup">NONE</xsl:with-param>
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
                <xsl:when test='$type=9'>
                <xsl:choose>
                <xsl:when test="$cp_node/@Applicable = 'Disabled'">
                <xsl:value-of select="$not_applicable" />
                </xsl:when>
                <xsl:otherwise>
                <xsl:call-template name="BOOL_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
                </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:when test='$type=10'>
               <xsl:choose>
                <xsl:when test="$cp_node/@Applicable = 'Disabled'">
                <xsl:value-of select="$not_applicable" />
                </xsl:when>
                <xsl:otherwise>
		<xsl:value-of select="$cp_node" />
                </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:when test='$type=11'>
              <xsl:choose>
                <xsl:when test="$cp_node/@Applicable = 'Disabled'">
                <xsl:value-of select="$not_applicable" />
                </xsl:when>
                <xsl:otherwise>
	        <xsl:call-template name="GUI_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
              </xsl:when>
            </xsl:choose>
          </xsl:variable>
          <xsl:choose>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@infinity != ''">
              <xsl:choose>
                <xsl:when test="$fieldvalue = $field_res/FIELD[@id=name($cp_node)]/@infinity">
                  <SPAN CLASS="bigletters">
                    <xsl:value-of select="$infinity" />
                  </SPAN>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$fieldvalue" />
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@format = 'N'">
              <xsl:choose>
                <xsl:when test="string(number($fieldvalue))='NaN'">
                  <xsl:value-of select="translate($fieldvalue, '.', $decimal_separator)" />
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="format-number">
                    <xsl:with-param name="numvalue" select="$fieldvalue" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@format = 'F'">
              <xsl:choose>
                <xsl:when test="string(number($fieldvalue))='NaN'">
                  <xsl:value-of select="translate($fieldvalue, '.', $decimal_separator)" />
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="format-frequency">
                    <xsl:with-param name="numvalue" select="$fieldvalue" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="$fieldvalue" />
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <!--<xsl:when test="$applicable='Disabled'">
			<xsl:call-template name="GUI_LOOK"><xsl:with-param name ="lookup">STR_DISABLED</xsl:with-param></xsl:call-template>
		</xsl:when>-->
        <xsl:when test="$applicable='NA' or $applicable='Disabled'">
          <xsl:value-of select="$not_applicable" />
        </xsl:when>
      </xsl:choose>
    </td>
    <!--</tr>-->
  </xsl:template>
  <xsl:template name="GUI_RES_SPAN">
    <xsl:param name="cp_node" />
    <xsl:param name="sp_class" />
    <SPAN class="{$sp_class}">
      <xsl:variable name="applicable">
        <xsl:value-of select='$cp_node/@Applicable' />
      </xsl:variable>
      <xsl:choose>
        <xsl:when test="$applicable='Enabled'">
          <xsl:variable name='type'>
            <xsl:call-template name="FIELD_LOOK">
              <xsl:with-param name="lookup" select="name($cp_node)" />
            </xsl:call-template>
          </xsl:variable>
          <xsl:variable name='fieldvalue'>
            <xsl:choose>
              <xsl:when test='$type=0'>
                <xsl:call-template name="BOOL_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=1'>
                <xsl:value-of select="$cp_node" />
              </xsl:when>
              <xsl:when test='$type=2'>
                <xsl:call-template name="GUI_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=3'>
                <xsl:choose>
                  <xsl:when test="$cp_node/@TypeID='NONE' or $cp_node/@TypeID='SELECTED' or $cp_node/@TypeID='LASTACTIVECH'">
                    <xsl:call-template name="GUI_LOOK">
                      <xsl:with-param name="lookup" select="$cp_node/@TypeID" />
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:call-template name="GUI_TYPE">
                      <xsl:with-param name="lookup" select="$cp_node" />
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
            </xsl:choose>
          </xsl:variable>
          <xsl:choose>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@infinity != ''">
              <xsl:choose>
                <xsl:when test="$fieldvalue = $field_res/FIELD[@id=name($cp_node)]/@infinity">
                  <SPAN CLASS="bigletters">
                    <xsl:value-of select="$infinity" />
                  </SPAN>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$fieldvalue" />
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@format = 'N'">
              <xsl:choose>
                <xsl:when test="string(number($fieldvalue))='NaN'">
                  <xsl:value-of select="translate($fieldvalue, '.', $decimal_separator)" />
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="format-number">
                    <xsl:with-param name="numvalue" select="$fieldvalue" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@format = 'F'">
              <xsl:choose>
                <xsl:when test="string(number($fieldvalue))='NaN'">
                  <xsl:value-of select="translate($fieldvalue, '.', $decimal_separator)" />
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="format-frequency">
                    <xsl:with-param name="numvalue" select="$fieldvalue" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="$fieldvalue" />
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <!--<xsl:when test="$applicable='Disabled'">
			<xsl:call-template name="GUI_LOOK"><xsl:with-param name ="lookup">STR_DISABLED</xsl:with-param></xsl:call-template>
		</xsl:when>-->
        <xsl:when test="$applicable='NA' or $applicable='Disabled'">
          <xsl:value-of select="$not_applicable" />
        </xsl:when>
      </xsl:choose>
    </SPAN>
    <!--</tr>-->
  </xsl:template>
  <xsl:template name="GUI_LABEL">
    <xsl:param name="cp_node" />
    <td class="em_width">
      <xsl:call-template name="GUI_LOOK">
        <xsl:with-param name="lookup" select="name($cp_node)" />
      </xsl:call-template>
    </td>
  </xsl:template>
  <xsl:template name="GUI_LOOK">
    <xsl:param name="lookup" />
    <xsl:value-of select='GUIRes:GetString($lookup)' />
  </xsl:template>
  <xsl:template name="GUI_TYPE">
    <xsl:param name="lookup" />
    <xsl:variable name="alias_name" select="$field_res/FIELD[@id=$lookup/@TypeID]/@alias" />
    <xsl:variable name="type" select="$lookup/@TypeID" />
    <xsl:call-template name="ALIAS_LOOK">
      <xsl:with-param name="block" select="$type" />
      <xsl:with-param name="index" select="$lookup" />
      <xsl:with-param name="alias" select="$alias_name" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="FIELD_LOOK">
    <xsl:param name="lookup" />
    <xsl:value-of select="$field_res/FIELD[@id=$lookup]" />
  </xsl:template>
  <xsl:template name="BOOL_LOOK">
    <xsl:param name="lookup" />
    <xsl:choose>
      <xsl:when test="$lookup='1'">
        <xsl:value-of select="$enabled_str" />
      </xsl:when>
      <xsl:when test="$lookup='0'">
        <xsl:value-of select="$disabled_str" />
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="ALIAS_LOOK">
    <xsl:param name="block" />
    <xsl:param name="index" />
    <xsl:param name="alias" />
    <!--xsl:choose>
      <xsl:when test="$block = 'DIGITAL_ESS_CMP_TYPE'">
        <xsl:value-of select="$DESS_Type/DIGITAL_ESS_CMP_TYPE[@ListID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'DIGITAL_SIG_SYS_CMP_TYPE'">
        <xsl:value-of select="$DSS_Type/DIGITAL_SIG_SYS_CMP_TYPE[@ListID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'MDC_SYS_CMP_TYPE'">
        <xsl:value-of select="$MDC_Type/MDC_SYS_CMP_TYPE[@ListID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'CNV_PER_CMP_TYPE'">
        <xsl:value-of select="$CNVP_Type/CNV_PER_CMP_TYPE[@ListID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'ANALOG_UCL_DLL_TYPE'">
        <xsl:value-of select="$AUCL_Type/ANALOG_UCL_DLL_TYPE[@ListLetID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'DIGITAL_UCL_DLL_TYPE'">
        <xsl:value-of select="$DUCL_Type/DIGITAL_UCL_DLL_TYPE[@ListLetID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'RX_TG_LIST_DLH_TYPE'">
        <xsl:value-of select="$RXTG_Type/RX_TG_LIST_DLT_TYPE[@ListID=$index]/RX_TG_LIST_DLH_TYPE[@ListID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'SCAN_PER_DLH_TYPE'">
        <xsl:value-of select="$SCAN_Type/SCAN_PER_DLT_TYPE[@ListID=$index]/SCAN_PER_DLH_TYPE[@ListID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'ZN_PER_ASGN_DLH_TYPE'">
        <xsl:value-of select="$ZNPER_Type/ZN_PER_ASGN_DLT_TYPE[@ListID=$index]/ZN_PER_ASGN_DLH_TYPE[@ListID=$index]//*[name()=$alias]" />
      </xsl:when>
      <xsl:when test="$block = 'QCK_TXT_MSG_DLL_TYPE'">
        <xsl:value-of select="$QTXT_Type/QCK_TXT_MSG_DLL_TYPE[@ListLetID=$index]//*[name()=$alias]" />
      </xsl:when>
    </xsl:choose-->
  </xsl:template>
  <xsl:template name="TOPIC">
    <xsl:param name="pers_type" />
    <xsl:param name="topic_label" />
    <xsl:variable name="view_field">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field" select="$topic_label" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:if test="string-length($view_field) &gt; 0">
      <tr>
        <td class="em_head">
          <xsl:call-template name="GUI_LOOK">
            <xsl:with-param name="lookup" select="$topic_label" />
          </xsl:call-template>
        </td>
      </tr>
    </xsl:if>
  </xsl:template>
  <xsl:template name="VIEW_ENABLED">
    <xsl:param name="cp_field" />
    <xsl:choose>
      <xsl:when test="count($treenodes) &gt; 0">
        <xsl:value-of select="name($view_res//TREE_NODES/*[name() = $cp_field][1])" />
      </xsl:when>
      <xsl:otherwise>
        expert
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="format-number">
    <xsl:param name="numvalue" />
    <xsl:variable name="number">
      <xsl:value-of select="translate(format-number($numvalue, $dec_format, 'dec'), '.-',concat($decimal_separator,''))" />
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="number($numvalue) &lt; 0">
        <xsl:call-template name="replace-string">
          <xsl:with-param name="text" select="$negative_format" />
          <xsl:with-param name="from">#</xsl:with-param>
          <xsl:with-param name="to" select="$number" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$number" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template name="format-frequency">
    <xsl:param name="numvalue" />
    <xsl:value-of select="translate(format-number($numvalue, $freq_format, 'dec'), '.-',concat($decimal_separator,''))" />
  </xsl:template>
  <xsl:template name="format-date">
    <xsl:param name="dayvalue" />
    <xsl:param name="monthvalue" />
    <xsl:param name="yearvalue" />
    <xsl:call-template name="replace-string">
      <xsl:with-param name="text">
        <xsl:call-template name="replace-string">
          <xsl:with-param name="text">
            <xsl:call-template name="replace-string">
              <xsl:with-param name="text" select="$date_format" />
              <xsl:with-param name="from">MM</xsl:with-param>
              <xsl:with-param name="to" select="$monthvalue" />
            </xsl:call-template>
          </xsl:with-param>
          <xsl:with-param name="from">DD</xsl:with-param>
          <xsl:with-param name="to" select="$dayvalue" />
        </xsl:call-template>
      </xsl:with-param>
      <xsl:with-param name="from">YYYY</xsl:with-param>
      <xsl:with-param name="to" select="$yearvalue" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="format-time">
    <xsl:param name="hourvalue" />
    <xsl:param name="minutevalue" />
    <xsl:param name="secondvalue" />
    <xsl:variable name="time">
      <xsl:call-template name="replace-string">
        <xsl:with-param name="text">
          <xsl:call-template name="replace-string">
            <xsl:with-param name="text">
              <xsl:choose>
                <xsl:when test="number($hourvalue) &gt; 12 and contains($time_format, 'TT')">
                  <xsl:call-template name="replace-string">
                    <xsl:with-param name="text" select="$time_format" />
                    <xsl:with-param name="from">HH</xsl:with-param>
                    <xsl:with-param name="to" select="$hourvalue - 12" />
                  </xsl:call-template>
                </xsl:when>
                <xsl:when test="number($hourvalue) = 0 and contains($time_format, 'TT')">
                  <xsl:call-template name="replace-string">
                    <xsl:with-param name="text" select="$time_format" />
                    <xsl:with-param name="from">HH</xsl:with-param>
                    <xsl:with-param name="to" select="12" />
                  </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="replace-string">
                    <xsl:with-param name="text" select="$time_format" />
                    <xsl:with-param name="from">HH</xsl:with-param>
                    <xsl:with-param name="to" select="$hourvalue" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:with-param>
            <xsl:with-param name="from">MM</xsl:with-param>
            <xsl:with-param name="to" select="$minutevalue" />
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="from">SS</xsl:with-param>
        <xsl:with-param name="to" select="$secondvalue" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="contains($time_format, 'TT')">
        <xsl:choose>
          <xsl:when test="number($hourvalue) &lt; 12">
            <xsl:call-template name="replace-string">
              <xsl:with-param name="text" select="$time" />
              <xsl:with-param name="from">TT</xsl:with-param>
              <xsl:with-param name="to" select="$am" />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="replace-string">
              <xsl:with-param name="text" select="$time" />
              <xsl:with-param name="from">TT</xsl:with-param>
              <xsl:with-param name="to" select="$pm" />
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$time" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <!-- reusable replace-string function -->
  <xsl:template name="replace-string">
    <xsl:param name="text" />
    <xsl:param name="from" />
    <xsl:param name="to" />
    <xsl:choose>
      <xsl:when test="contains($text, $from)">
        <xsl:variable name="before" select="substring-before($text, $from)" />
        <xsl:variable name="after" select="substring-after($text, $from)" />
        <xsl:variable name="prefix" select="concat($before, $to)" />
        <xsl:value-of select="$before" />
        <xsl:value-of select="$to" />
        <xsl:call-template name="replace-string">
          <xsl:with-param name="text" select="$after" />
          <xsl:with-param name="from" select="$from" />
          <xsl:with-param name="to" select="$to" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$text" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <!--Added By Aries for PhaseIII-->
  <xsl:template match="MDC_SYS_GRP" mode="mdc">
    <xsl:call-template name="mdc_pageloop">
      <xsl:with-param name="counter" select="$pagestart" />
      <xsl:with-param name="numpages" select="$numpageMdcSys" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="mdc_pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="MDC_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="mdc_pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="DTMF_SYS_GRP" mode="dtmf">
    <xsl:call-template name="dtmf_pageloop">
      <xsl:with-param name="counter" select="$pagestart" />
      <xsl:with-param name="numpages" select="$numpageDtmfSys" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="dtmf_pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="DTMF_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="dtmf_pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="QCII_SYS_GRP" mode="qcii">
    <xsl:call-template name="qcii_pageloop">
      <xsl:with-param name="counter" select="$pagestart" />
      <xsl:with-param name="numpages" select="$numpageQciiSys" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="qcii_pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="QCII_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="qcii_pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="PHONE_SYS_GRP" mode="phone">
    <xsl:call-template name="phone_pageloop">
      <xsl:with-param name="counter" select="$pagestart" />
      <xsl:with-param name="numpages" select="$numpagePhoneSys" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="phone_pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="PHONE_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="phone_pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="DTMF_CALL_GRP" mode="dtmfcall">
    <xsl:call-template name="dtmfcall_pageloop">
      <xsl:with-param name="counter" select="$pagestart" />
      <xsl:with-param name="numpages" select="$numpageDtmfCall" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="dtmfcall_pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="DTMFCALL_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="dtmfcall_pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <!--Added By Wang Jing For Beacon Phase III CCB MDC -->
  <xsl:template match="MDC_CALL_GRP" mode="mdccall">
    <xsl:call-template name="mdccall_pageloop">
      <xsl:with-param name="counter" select="$pagestart" />
      <xsl:with-param name="numpages" select="$numpageMdcCall" />
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="mdccall_pageloop">
    <xsl:param name="counter" />
    <xsl:param name="numpages" />
    <xsl:if test="$counter &lt;= $numpages">
      <xsl:variable name="colwidth" select="500 div $persperpage" />
      <xsl:call-template name="MDCCALL_PAGE">
        <xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
        <xsl:with-param name="width" select="$colwidth" />
      </xsl:call-template>
      <xsl:call-template name="mdccall_pageloop">
        <xsl:with-param name="counter" select="$counter + $increment" />
        <xsl:with-param name="numpages" select="$numpages" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="GENERAL_ALIAS_ROW">
    <xsl:param name="colwidth" />
    <xsl:param name="cp_nodes" />
    <xsl:for-each select="$cp_nodes">
      <xsl:if test="position()=1">
        <xsl:text disable-output-escaping="yes">
               &lt;th width="{$colwidth}"> &amp;nbsp &lt;/th>
		   </xsl:text>
      </xsl:if>
      <xsl:variable name='NodeName' select="name(.)" />
      <xsl:if test="'MDC_SYS' = $NodeName">
        <th width="{$colwidth}">
          <xsl:value-of select='./MDC_ALIAS' />
        </th>
      </xsl:if>
      <xsl:if test="'DTMF_SYS' = $NodeName">
        <th width="{$colwidth}">
          <xsl:value-of select='./DTMF_ALIAS' />
        </th>
      </xsl:if>
      <xsl:if test="'QCII_SYS' = $NodeName">
        <th width="{$colwidth}">
          <xsl:value-of select='./QCII_ALIAS' />
        </th>
      </xsl:if>
      <xsl:if test="'DTMF_CALL' = $NodeName">
        <th width="{$colwidth}">
          <xsl:value-of select='./DTMFC_CALLALIAS' />
        </th>
      </xsl:if>

	<!--Added By Wang Jing For Beacon Phase III CCB MDC -->
      <xsl:if test="'MDC_CALL' = $NodeName">
        <th width="{$colwidth}">
          <xsl:value-of select='./MDCC_CALLALIAS' />
        </th>
      </xsl:if>
      
      <xsl:if test="'PHONE_SYS' = $NodeName">
        <th width="{$colwidth}">
          <xsl:value-of select='./PHONE_ALIAS' />
        </th>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="MDC_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="mdcsys" select="$enableMdcSys[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="GENERAL_ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$mdcsys" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <!--<tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$mdcsys" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_ENABLE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_PRIID" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_PTTIDTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_PTTSIDETONE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_PRETIME" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_RADIOCHECKEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_DOS_AUTOMUTE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_DOS_COAST" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdcsys/MDC_DOSCRITYPE" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
  <xsl:template name="DTMF_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="dtmfsys" select="$enableDtmfSys[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="GENERAL_ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$dtmfsys" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <!--<tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$dtmfsys" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_ENABLE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_PRETIME" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_RESETDUR" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_TXTONEDUR" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_TXTONEINTERVAL" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_WILDPAGEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_CALLTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_CALLLED" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_INDIVACKEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_ATAUTORESET" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_ARTTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_PTTSIDETONE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_PTTIDTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_PTTID" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_ACKID" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_INDID" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_GROUPID" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_ALLID" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfsys/DTMF_DIPDECIDEN" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
  <xsl:template name="QCII_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="qciisys" select="$enableQciiSys[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="GENERAL_ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$qciisys" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <!--<tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$qciisys" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_ENABLE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_CALLTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_CALLLED" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_ATAUTORESET" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_CALLFORMAT" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_AFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_ACODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_BFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_BCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_CFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_CCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_DFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_DCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$qciisys/QCII_ARTTYPE" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
  <xsl:template name="PHONE_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="phonesys" select="$enablePhoneSys[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="GENERAL_ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$phonesys" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <!--<tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$phonesys" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_ENABLE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_ACCESSCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_DEACCESSCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_STRIPPL" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_PLREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_OVERRIDEBCL" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_PTTSIDETONE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_PRETIME" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_TONEDURATION" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$phonesys/PHONE_TONEINTERVAL" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
  <xsl:template name="DTMFCALL_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="dtmfcall" select="$enableDtmfCall[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="GENERAL_ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$dtmfcall" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <!--<tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$dtmfcall" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfcall/DTMFC_ENABLE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfcall/DTMFC_SYSTEM" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfcall/DTMFC_CALLNUMBER" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$dtmfcall/DTMFC_CALLSTRIPPL" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
  <!--Added By Wang Jing For Beacon Phase III CCB MDC -->
  <xsl:template name="MDCCALL_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="mdccall" select="$enableMdcCall[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="GENERAL_ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$mdccall" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <!--<tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$dtmfcall" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdccall/MDCC_ENABLE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$mdccall/MDCC_INDID" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
  <xsl:template name="CALL_LIST">

    <xsl:variable name="type">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field">CALL_TYPE</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="alias">
      <xsl:call-template name="VIEW_ENABLED">
        <xsl:with-param name="cp_field">CALL_INDEX</xsl:with-param>
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="string-length($type) &gt; 0 or string-length($alias) &gt; 0">
      <table>
        <tr>
          <td class="em_head">
            <xsl:call-template name="GUI_LOOK">
              <xsl:with-param name="lookup">CALL_LIST</xsl:with-param>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <xsl:if test="string-length($type) &gt; 0">
            <td class="em_std">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">CALL_TYPE</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="string-length($alias) &gt; 0">
            <td class="em_std">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">CALL_INDEX</xsl:with-param>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <xsl:for-each select='//CALL_LIST_GRP/CALL_LIST'>
          <tr>
            <xsl:if test="string-length($type) &gt; 0">
              <td>
                <xsl:value-of select='CALL_TYPE' />
              </td>
            </xsl:if>
            <xsl:if test="string-length($alias) &gt; 0">
                <xsl:call-template name='GUI_RES'>
                  <xsl:with-param name='cp_node' select='CALL_INDEX' />
                </xsl:call-template>
            </xsl:if>
          </tr>
        </xsl:for-each>
      </table>
    </xsl:if>
  </xsl:template>
  <!-- END COMMON TEMPLATES -->
</xsl:stylesheet>