<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:GUIRes="urn:GUIRes"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt">
	<!-- Copyright @2004-2007 Motorola Inc.  All rights reserved -->
	<!-- Author: Kyle Liu -->
	<!-- REPORT INFORMATION 
	MODIFY TITLE_ID AND USER_DEFINED TO CHANGE TITLE  
	<REPORT_INFO>
		<TITLE>PERSONALITIES_SUMMARY</TITLE>
		<USER_TITLE></USER_TITLE>
		<DEALER_INFO>NO</DEALER_INFO>
		<LANGUAGES>
			<LANG_ID>EN-US</LANG_ID>
			<LANG_ID>FR-FR</LANG_ID>
			<LANG_ID>ES-CO</LANG_ID>
			<LANG_ID>ES-ES</LANG_ID>
			<LANG_ID>RU-RU</LANG_ID>
			<LANG_ID>PT-BR</LANG_ID>
			<LANG_ID>ZH-CN</LANG_ID>
			<LANG_ID>PL-PL</LANG_ID>
			<LANG_ID>DE-DE</LANG_ID>
			<LANG_ID>IT-IT</LANG_ID>
		</LANGUAGES>
	</REPORT_INFO>
	END REPORT INFORMATION !-->
	<!-- PARAMETERS - DO NOT MODIFY -->
	<xsl:param name="sTitle" />
	<xsl:param name="sViewXml" />
	<xsl:param name="sResXml" />
	<xsl:param name="bRTL" />
	<!--     end parameters         -->
	<!-- Subset of the Detailed Report.  -->
	<xsl:variable name="field_res" select="msxsl:node-set($sResXml)//FIELD_TYPES" />
	<!--this function will error if no view xml passed in, therefore, default non-view xml will
     be passed in if a view is not used -->
	<xsl:variable name="view_res" select="msxsl:node-set($sViewXml)" />
	<!-- VARIABLES SECTION -->
	<xsl:variable name="treenodes" select="$view_res//TREE_NODES" />
	<xsl:variable name="persperpage">5</xsl:variable>
	<!--Added By Aries for Beacon Phase III-->
	<xsl:variable name="CodeplugSize" select="//MD_CODEPLUGSIZE" />
	<xsl:variable name="enableCh" select="/BEACON_CODEPLUG/CHANNEL_SECTION/CHANNEL_GRP/CHANNEL[CH_ENABLED=1]" />	
	<xsl:variable name="countCh" select="count($enableCh)" />
	<xsl:variable name="countPers" select="$countCh" />
	<xsl:variable name="numpageCh" select="ceiling($countCh div $persperpage)" />
	<!-- date/time/number formatting variables -->
	<xsl:variable name="time_format">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">TIME_FORMAT</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="am">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">TIME_FORMAT_AM</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="pm">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">TIME_FORMAT_PM</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="date_format">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">DATE_FORMAT</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="decimal_separator">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">DECIMAL_SEPARATOR</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="negative_format">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">NEGATIVE_FORMAT</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="infinity">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">INFINITY</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="dec_format">########0.0#####</xsl:variable>
	<xsl:variable name="freq_format">##0.000000</xsl:variable>
	<xsl:decimal-format name="dec" decimal-separator="." grouping-separator="," />
	<!-- end date/time/number formatting variables -->
	<xsl:variable name="pagestart" select="number(1)" />
	<xsl:variable name="increment" select="number(1)" />
	<xsl:variable name="not_applicable">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">NOT_APPLICABLE</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="enabled_str">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">STR_ENABLED</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="disabled_str">
		<xsl:call-template name="GUI_LOOK">
			<xsl:with-param name="lookup">STR_DISABLED</xsl:with-param>
		</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="dir">
		<xsl:choose>
			<xsl:when test="$bRTL">rtl</xsl:when>
			<xsl:otherwise>ltr</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="rx_enabled">
		 <xsl:choose>
	   		 <xsl:when test="count($treenodes) &gt; 0">
				<xsl:value-of select="name($view_res//TREE_NODES/CH_RXFREQ)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_RXSQUELCHTYPE)"/>
	  		<xsl:value-of select="name($view_res//TREE_NODES/CH_RXDPLCODE)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_RXDPLINVERT)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_RXTPLFREQ)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_RXTPLCODE)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_MUTERULE)"/>								 		    												
 		    </xsl:when>
	    	 <xsl:otherwise>
				expert
	    	 </xsl:otherwise>
         </xsl:choose>
</xsl:variable>
<xsl:variable name="tx_enabled">
		 <xsl:choose>
	   		 <xsl:when test="count($treenodes) &gt; 0">
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TXFREQ)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TXSQUELCHTYPE)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TXDPLCODE)"/>	
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TXDPLINVERT)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TXTPLFREQ)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TXTPLCODE)"/>	
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TXPWRLEVEL)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_PTTIDEN)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TURNOFFCODE)"/>									 		    
				<xsl:value-of select="name($view_res//TREE_NODES/CH_VOXEN)"/>	
				<xsl:value-of select="name($view_res//TREE_NODES/CH_BCLO)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TPLREVBURST)"/>													
 		    </xsl:when>
	    	 <xsl:otherwise>
				expert
	    	 </xsl:otherwise>
         </xsl:choose>
</xsl:variable>	
<xsl:variable name="channel_enabled">
		 <xsl:choose>
	   		 <xsl:when test="count($treenodes) &gt; 0">
	  		<xsl:value-of select="name($view_res//TREE_NODES/CH_ENABLED)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_BANDWIDTH)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_SL)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_SCANTYPE)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_CALLTYPE)"/>
	  		<xsl:value-of select="name($view_res//TREE_NODES/CH_SQLTYPE)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_PLREQFORCALL)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_TA)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_INDIVACKEN)"/>
	  		<xsl:value-of select="name($view_res//TREE_NODES/CH_SCRAMBLEEN)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_RXONLY)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_PHONEEN)"/>
				<xsl:value-of select="name($view_res//TREE_NODES/CH_COMPANDEXPANDEN)"/>
				<xsl:value-of select="$tx_enabled"/>	
				<xsl:value-of select="$rx_enabled"/>																	
 		    </xsl:when>
	    	 <xsl:otherwise>
				expert
	    	 </xsl:otherwise>
         </xsl:choose>
</xsl:variable>
	
	<!-- END OF VARIABLES SECTION -->
	<xsl:template match="/">
		<xsl:text disable-output-escaping="yes" />
		<html dir="{$dir}">
			<head>
				<title><xsl:call-template name="GUI_LOOK">
						<xsl:with-param name="lookup">MD_MODELNUM</xsl:with-param>
					</xsl:call-template>: <xsl:value-of select="//MD_MODELNUM" />
				 <xsl:text></xsl:text><xsl:call-template name="GUI_LOOK">
						<xsl:with-param name="lookup">MD_SERIALNUM</xsl:with-param>
					</xsl:call-template>: <xsl:value-of select="//MD_SERIALNUM" />
			</title>
				<xsl:text disable-output-escaping="yes">
               &lt;style>
                  &lt;!--
                  html {font-family: arial unicode ms; sans-serif}
                  h1 {text-align: center; font-size:26; color: #4886C1}
                  h1.breakBefore {text-align: center; font-size:26; color: #4886C1;page-break-before: always}
                  h2.breakBefore {text-align: center; font-size:14; page-break-before: always}
                  h3 {text-align:left; font-size:18; color: #4886C1;}
                  h4 {text-align: left; font-size: 10}
                  table.solo {page-break-after: always}
                  th {text-align: left; font-size: 12; font-weight: bold; color: #4886C1}
				  th.sub {colspan: 2; text-align: left; font-size: 13; color: #4886C1;}
                  th.channel {text-align: center; font-size: 12; font-weight: bold; color: #4886C1}
                  td {vertical-align: center; font-size: 10;padding-left:5px;padding-right:5px;}
                    .em_head {text-align: left; font-size: 12; font-weight: bold; color: #4886C1}
                    .em_width {vertical-align: center; text-align: left;font-size: 10; font-weight: bold; width: 150}
                    .em_std {vertical-align: center; text-align: left;font-size: 10; font-weight: bold;padding-left:5px;padding-right:5px;}
                  .hdr {width:100px;}
                  .bigletters{font-size:150%;vertical-align: top; }
                  tr.top { vertical-align:top; }
                  -->
               &lt;/style>
            </xsl:text>
			</head>
			<body>
				<table>
					<tr>
						<xsl:apply-templates select='//MD_MODELNUM' />
					</tr>
					<tr>
						<xsl:apply-templates select='//MD_SERIALNUM' />
					</tr>
				</table>
				<h1>
					<xsl:call-template name="GUI_LOOK">
						<xsl:with-param name="lookup">APP_NAME</xsl:with-param>
					</xsl:call-template>
					<xsl:text> </xsl:text>
					<xsl:value-of select="$sTitle" />
				</h1>
				<xsl:if test="$countCh &gt; 0 and string-length($channel_enabled) &gt; 0">
				<!--
					<h3>Channel Position</h3>
					<table>
						<xsl:apply-templates select="//CHANNEL_GRP/CHANNEL" mode="position" />
					</table>
					<h3>Channel Infomation</h3>
				-->
					<xsl:apply-templates select="//CHANNEL_GRP" mode="channel" />
				</xsl:if>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="pageloop">
		<xsl:param name="counter" />
		<xsl:param name="numpages" />
		<xsl:if test="$counter &lt;= $numpages">
			<xsl:variable name="colwidth" select="500 div $persperpage" />
			<xsl:call-template name="PERS_PAGE">
				<xsl:with-param name="pagenum" select="number($counter)"></xsl:with-param>
				<xsl:with-param name="width" select="$colwidth" />
			</xsl:call-template>
			<xsl:call-template name="pageloop">
				<xsl:with-param name="counter" select="$counter + $increment" />
				<xsl:with-param name="numpages" select="$numpages" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="PERS_PAGE">
    <xsl:param name="pagenum" />
    <xsl:param name="width" />
    <xsl:variable name="start" select="(number($pagenum)-1) * $persperpage + 1" />
    <xsl:variable name="end" select="(number($pagenum)-1) * $persperpage + $persperpage" />
    <xsl:variable name="pers" select="$enableCh[position() &gt;= $start and position() &lt;= $end]" />
    <table>
      <tr>
        <xsl:call-template name="ALIAS_ROW">
          <xsl:with-param name="colwidth" select="$width" />
          <xsl:with-param name="cp_nodes" select="$pers" />
        </xsl:call-template>
      </tr>
      <tr>
        <td></td>
      </tr>
      <xsl:if test="$countPers &gt; 0">
        <tr>
          <xsl:call-template name="POSITION_ROW">
            <xsl:with-param name="cp_nodes" select="$pers" />
            <xsl:with-param name="page_num" select="$pagenum" />
          </xsl:call-template>
        </tr>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_ENABLED" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_BANDWIDTH" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SL" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_AUTOSCAN" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SCANTYPE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_CALLTYPE" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SQLTYPE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PLREQFORCALL" />
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_INDIVACKEN" />
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PHONESYS" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_SCRAMBLEEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXONLY" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="($CodeplugSize != 1) or (string-length($CodeplugSize) = 0 )">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PHONEEN" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_COMPANDEXPANDEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TA" />
        </xsl:call-template>
        <!-- RX -->
        <xsl:if test="string-length($rx_enabled) &gt; 0">
          <tr>
            <td class="em_head">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">LBL_CPRXTOPIC</xsl:with-param>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXSQUELCHTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXDPLCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXDPLINVERT" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXTPLFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_RXTPLCODE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_RXSIGSYS" />
          </xsl:call-template>
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_PLREQFORDATA" />
          </xsl:call-template>
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_SIGSQUELCH" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_MUTERULE" />
        </xsl:call-template>
        <!-- TX -->
        <xsl:if test="string-length($tx_enabled) &gt; 0">
          <tr>
            <td class="em_head">
              <xsl:call-template name="GUI_LOOK">
                <xsl:with-param name="lookup">LBL_CPTTXTOPIC</xsl:with-param>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXSQUELCHTYPE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXDPLCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXDPLINVERT" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXTPLFREQ" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXTPLCODE" />
        </xsl:call-template>
        <!-- Added By Aries For PHASE III-->
        <xsl:if test="$CodeplugSize = 1">
          <xsl:call-template name='TABLE_ROW'>
            <xsl:with-param name='cp_nodes' select="$pers/CH_TXSIGSYS" />
          </xsl:call-template>
        </xsl:if>
        <!--Added End-->
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TPLREVBURST" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TXPWRLEVEL" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_PTTIDEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_TURNOFFCODE" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_VOXEN" />
        </xsl:call-template>
        <xsl:call-template name='TABLE_ROW'>
          <xsl:with-param name='cp_nodes' select="$pers/CH_BCLO" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template>
	<xsl:template name="HEADER_ROW">
		<xsl:param name="cp_nodes" />
		<xsl:for-each select="$cp_nodes">
			<xsl:if test="position() ='1'">
				<xsl:text disable-output-escaping="yes">
              		&lt;th width='75'"> &amp;nbsp &lt;/th>
				</xsl:text>
			</xsl:if>
			<th>
				<xsl:value-of select='.' />
			</th>
		</xsl:for-each>
	</xsl:template>
	<!-- this is used to get the alias based on a key-->
	<xsl:template name="ALIAS_ROW">
		<xsl:param name="colwidth" />
		<xsl:param name="cp_nodes" />
		<xsl:for-each select="$cp_nodes">
			<xsl:if test="position()=1">
				<xsl:text disable-output-escaping="yes">
               &lt;th width="{$colwidth}"> &amp;nbsp &lt;/th>
		   </xsl:text>
			</xsl:if>
			<th width="{$colwidth}">
				<xsl:value-of select='./CH_ALIAS' />
			</th>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="POSITION_ROW">
		<xsl:param name="cp_nodes" />
		<xsl:param name="page_num" />
		<xsl:for-each select="$cp_nodes">
		  <xsl:variable name="currentnode" select="CH_ALIAS" />
			<xsl:if test="position()= 1">
				<td class="em_width">
					<xsl:call-template name='GUI_LOOK'>
						<xsl:with-param name='lookup'>POSITION</xsl:with-param>
					</xsl:call-template>
				</td>
			</xsl:if>
			<td>
				<xsl:value-of select="count(/BEACON_CODEPLUG/CHANNEL_SECTION/CHANNEL_GRP/CHANNEL[CH_ALIAS=$currentnode]/preceding-sibling::CHANNEL) + 1" />
			</td>
		</xsl:for-each>
	</xsl:template>
	
	<!-- add dependency handling for TPL, DPL etc. Kyle, 2009.5.31  -->
	
	 <xsl:template name="RXTX_CELL">
    <xsl:param name="cp_nodes" />

    <xsl:variable name="rxonly" select="../CH_RXONLY" />
    <xsl:variable name="rxsqtype" select="../CH_RXSQUELCHTYPE" />
    <xsl:variable name="txsqtype" select="../CH_TXSQUELCHTYPE" />
    <!-- Added By Aries for Phase III-->
    <xsl:variable name="qcii_calltype" select="../QCII_CALLTYPE" />
    <xsl:variable name="qcii_callformat" select="../QCII_CALLFORMAT" />
    <xsl:variable name="dtmf_calltype" select="../DTMF_CALLTYPE" />
    <xsl:variable name="txsigsys" select="../CH_TXSIGSYS"/>
    <xsl:variable name="rxsquelchtype" select="../CH_RXSQUELCHTYPE"/>
    <xsl:variable name="rxsigsys" select="../CH_RXSIGSYS"/>
    <xsl:choose>
      <!-- RX  -->
      <xsl:when test="($rxsqtype = 'CSQ' and (name(.) = 'CH_RXDPLCODE' or name(.) = 'CH_RXDPLINVERT' or name(.) = 'CH_RXTPLCODE' or name(.) = 'CH_RXTPLFREQ' or name(.) = 'CH_MUTERULE')) or
								($rxsqtype = 'TPL' and (name(.) = 'CH_RXDPLCODE' or name(.) = 'CH_RXDPLINVERT')) or
								($rxsqtype = 'DPL' and (name(.) = 'CH_RXTPLCODE' or name(.) = 'CH_RXTPLFREQ'))">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!-- TX rxonly=true -->
      <xsl:when test="$rxonly = '1' and (
										name(.) = 'CH_TXFREQ' or
										name(.) = 'CH_TXSQUELCHTYPE' or
										name(.) = 'CH_TXDPLCODE' or
										name(.) = 'CH_TXDPLINVERT' or
										name(.) = 'CH_TXTPLCODE' or
										name(.) = 'CH_TXTPLFREQ' or
										name(.) = 'CH_TPLREVBURST' or
										name(.) = 'CH_TXPWRLEVEL' or
										name(.) = 'CH_PTTIDEN' or
										name(.) = 'CH_TURNOFFCODE' or
										name(.) = 'CH_VOXEN' or
										name(.) = 'CH_BCLO' or
                    name(.) = 'CH_TXSIGSYS' or
                    name(.) = 'CH_TALKACTEN')">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!-- TX rxonly=false -->
      <xsl:when test="$rxonly = '0' and (
										($txsqtype = 'CSQ' and (name(.) = 'CH_TXDPLCODE' or name(.) = 'CH_TXDPLINVERT' or name(.) = 'CH_TXTPLCODE' or name(.) = 'CH_TXTPLFREQ' or name(.) = 'CH_TPLREVBURST' or name(.) = 'CH_TURNOFFCODE')) or
										($txsqtype = 'TPL' and (name(.) = 'CH_TXDPLCODE' or name(.) = 'CH_TXDPLINVERT' or name(.) = 'CH_TURNOFFCODE')) or
										($txsqtype = 'DPL' and (name(.) = 'CH_TXTPLCODE' or name(.) = 'CH_TXTPLFREQ' or name(.) = 'CH_TPLREVBURST')) or
                    (substring-before($txsigsys, '_') != 'MDCC' and substring-before($txsigsys, '_') != 'DTMF' and name(.) = 'CH_PTTIDEN'))
										">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <!-- Added By Aries for Phase III-->
      <xsl:when test="$qcii_calltype = 'NONE' and (
                name(.) = 'QCII_CALLFORMAT' or name(.) = 'QCII_ARTTYPE' or name(.) = 'QCII_AFREQ' or name(.) = 'QCII_BFREQ' or 
                name(.) = 'QCII_CFREQ' or name(.) = 'QCII_DFREQ' or name(.) = 'QCII_ACODE' or name(.) = 'QCII_BCODE' or 
                name(.) = 'QCII_CCODE' or name(.) = 'QCII_DCODE' or name(.) = 'QCII_ATAUTORESET')
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <xsl:when test="$qcii_calltype != 'NONE' and (
                ($qcii_calltype = 'SELECTIVE_CALL' and name(.) = 'QCII_ATAUTORESET') or
                 ($qcii_calltype = 'CALLALERT' and name(.) = 'QCII_ARTTYPE') or
                (($qcii_callformat = 'A2B' or $qcii_callformat = 'ABLB') and (name(.) = 'QCII_CFREQ' or name(.) = 'QCII_CCODE')) or
                (($qcii_callformat != 'ABADCD' or $qcii_callformat != 'ABCD') and (name(.) = 'QCII_DFREQ' or name(.) = 'QCII_DCODE')))
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <xsl:when test="$dtmf_calltype = 'NONE' and (
                name(.) = 'DTMF_CALLLED' or name(.) = 'DTMF_ATAUTORESET' or name(.) = 'DTMF_ARTTYPE' or name(.) = 'DTMF_INDIVACKEN')
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <xsl:when test="$dtmf_calltype != 'NONE' and (
                ($dtmf_calltype = 'SELECTIVE_CALL' and (name(.) = 'DTMF_ARTTYPE' or name(.) = 'DTMF_INDIVACKEN')) or
                 ($dtmf_calltype = 'CALL_ALERT' and name(.) = 'DTMF_ATAUTORESET'))
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <xsl:when test="($rxsigsys = 'NONE' and (name(.) = 'CH_SIGSQUELCH' or name(.) = 'CH_PLREQFORDATA')) or
                    ($rxsigsys != 'NONE' and ($rxsquelchtype = 'CSQ' and name(.) = 'CH_PLREQFORDATA')) or
                    (substring-before($txsigsys, '_') != 'MDCC' and substring-before($txsigsys, '_') != 'DTMF' and name(.) = 'CH_PTTIDEN')
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <xsl:when test="$dtmf_calltype != 'NONE' and (
                ($dtmf_calltype = 'SELECTIVE_CALL' and (name(.) = 'DTMF_ARTTYPE' or name(.) = 'DTMF_INDIVACKEN')) or
                 ($dtmf_calltype = 'CALL_ALERT' and name(.) = 'DTMF_ATAUTORESET'))
                ">
        <td>
          <xsl:value-of select="$not_applicable" />
        </td>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name='GUI_RES'>
          <xsl:with-param name='cp_node' select='.' />
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

  </xsl:template>
		
	<xsl:template name="TABLE_ROW">
		<xsl:param name="cp_nodes" />
		<xsl:variable name="anlg_field">
			<xsl:call-template name="VIEW_ENABLED">
				<xsl:with-param name="cp_field" select="name($cp_nodes[1])" />
			</xsl:call-template>
		</xsl:variable>
		<xsl:if test="string-length($anlg_field) &gt; 0">
		<xsl:choose>
			<xsl:when test="$countPers &gt; 0">
				<tr>
					<xsl:for-each select="$cp_nodes">
					<xsl:if test="@Applicable != 'NA'">
						<xsl:choose>
							<xsl:when test="@Applicable = 'Enabled' or @Applicable = 'Disabled'">
								<xsl:if test="position()= 1">
									<xsl:call-template name='GUI_LABEL'>
										<xsl:with-param name='cp_node' select='.' />
									</xsl:call-template>
								</xsl:if>
								<!-- add dependency handling for TPL, DPL etc. Kyle, 2009.5.31  -->
									<xsl:call-template name='RXTX_CELL'>
										<xsl:with-param name='cp_nodes' select='.' />
									</xsl:call-template>
							<!-- end. Kyle, 2009.5.31  -->
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="position()= 1">
									<xsl:call-template name='GUI_LABEL'>
										<xsl:with-param name='cp_node' select='.' />
									</xsl:call-template>
								</xsl:if>
								<td>
									<xsl:value-of select="$not_applicable" />
								</td>
							</xsl:otherwise>
						</xsl:choose>
						</xsl:if>
					</xsl:for-each>
				</tr>
			</xsl:when>
			<xsl:otherwise>
			<!--
				<xsl:for-each select="$cp_nodes">
					<xsl:choose>
						<xsl:when test="@Applicable = 'Enabled'">
							<tr>
								<xsl:if test="position()= 1">
									<xsl:call-template name='GUI_LABEL'>
										<xsl:with-param name='cp_node' select='.' />
									</xsl:call-template>
								</xsl:if>
								<xsl:call-template name='GUI_RES'>
									<xsl:with-param name='cp_node' select='.' />
								</xsl:call-template>
							</tr>
						</xsl:when>
						<xsl:when test="@Applicable = 'Disabled'">
							<tr>
								<xsl:if test="position()= 1">
									<xsl:call-template name='GUI_LABEL'>
										<xsl:with-param name='cp_node' select='.' />
									</xsl:call-template>
								</xsl:if>
								<td>
									<xsl:value-of select="$not_applicable" />
								</td>
							</tr>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
				-->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
	</xsl:template>
	<!-- MATCHING TEMPLATES -->
	<xsl:template match="MD_MODELNUM">
		<td class="em_std">
			<xsl:call-template name="GUI_LOOK">
				<xsl:with-param name="lookup" select="name(.)" />
			</xsl:call-template>
		</td>
		<td>
			<xsl:call-template name='GUI_RES'>
				<xsl:with-param name='cp_node' select='.' />
			</xsl:call-template>
		</td>
	</xsl:template>
	<xsl:template match="MD_SERIALNUM">
		<td class="em_std">
			<xsl:call-template name="GUI_LOOK">
				<xsl:with-param name="lookup" select="name(.)" />
			</xsl:call-template>
		</td>
		<td>
			<xsl:call-template name='GUI_RES'>
				<xsl:with-param name='cp_node' select='.' />
			</xsl:call-template>
		</td>
	</xsl:template>
	<!-- comment position information 
	<xsl:template match="CHANNEL" mode="position">
		<xsl:if test="position() = 1">
			<tr>
				<td class="em_std">
					<xsl:call-template name="GUI_LOOK">
						<xsl:with-param name="lookup">CH_POSITION</xsl:with-param>
					</xsl:call-template>
				</td>
				<td class="em_std">
					<xsl:call-template name="GUI_LOOK">
						<xsl:with-param name="lookup">ZN_PER_ASGN_DLL_TYPE</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</xsl:if>
		<tr>
			<td>
				<xsl:value-of select="position()" />
			</td>
			<td>
				<xsl:value-of select='./CH_ALIAS' />
			</td>
		</tr>
	</xsl:template>
	-->
	<xsl:template match="CHANNEL_GRP" mode="channel">
		<xsl:call-template name="pageloop">
			<xsl:with-param name="counter" select="$pagestart" />
			<xsl:with-param name="numpages" select="$numpageCh" />
		</xsl:call-template>
	</xsl:template>
	<!--END MATCHING TEMPLATES -->
	<!--COMMON TEMPLATES -->
	  <xsl:template name="GUI_RES">
    <xsl:param name="cp_node" />
    <td>
      <xsl:variable name="applicable">
        <xsl:value-of select='$cp_node/@Applicable' />
      </xsl:variable>
      <xsl:choose>
        <xsl:when test="$applicable != 'NA'">
          <xsl:variable name='type'>
            <xsl:call-template name="FIELD_LOOK">
              <xsl:with-param name="lookup" select="name($cp_node)" />
            </xsl:call-template>
          </xsl:variable>
          <xsl:variable name='fieldvalue'>
            <xsl:choose>
              <xsl:when test='$type=0'>
                <xsl:call-template name="BOOL_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=1'>
                <xsl:value-of select="$cp_node" />
              </xsl:when>
              <xsl:when test='$type=2'>
                <xsl:call-template name="GUI_LOOK">
                  <xsl:with-param name="lookup" select="$cp_node" />
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=3'>
                <xsl:variable name="progdatetime" select="$cp_node" />
                <xsl:call-template name="format-date">
                  <xsl:with-param name="monthvalue" select="substring($progdatetime, 3, 2)"/>
                  <xsl:with-param name="dayvalue" select="substring($progdatetime, 5, 2)"/>
                  <xsl:with-param name="yearvalue" select="number(concat('20',substring($progdatetime, 1, 2)))"/>
                </xsl:call-template>
                <xsl:text disable-output-escaping="yes">  </xsl:text>
                <xsl:call-template name="format-time">
                  <xsl:with-param name="hourvalue" select="substring($progdatetime, 7, 2)"/>
                  <xsl:with-param name="minutevalue" select="substring($progdatetime, 9, 2)"/>
                  <xsl:with-param name="secondvalue">00</xsl:with-param>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test='$type=4'>
                <xsl:variable name="ch_id" select="$cp_node" />
                <xsl:value-of select="//CHANNEL[@ListID=$ch_id]/CH_ALIAS" />
                <xsl:if test="$ch_id = 'SELECTED'">
                  <xsl:call-template name='GUI_LOOK'>
                    <xsl:with-param name='lookup'>SELECTED</xsl:with-param>
                  </xsl:call-template>
                </xsl:if>
              </xsl:when>
              <xsl:when test='$type=5'>
                <xsl:variable name="sys_id" select="$cp_node" />
                <xsl:variable name="sys" select="substring-before($sys_id, '_')" />
                <xsl:variable name="id" select="substring-after($sys_id, '_')" />
                <xsl:choose>
                  <xsl:when test="$sys = 'MDCC'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/MDC_SYS_GRP/MDC_SYS[@ListID = $id]/MDC_ALIAS" />
                  </xsl:when>
                  <xsl:when test="$sys = 'DTMF'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_SYS_GRP/DTMF_SYS[@ListID = $id]/DTMF_ALIAS" />
                  </xsl:when>
                  <xsl:when test="$sys = 'QCII'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/QCII_SYS_GRP/QCII_SYS[@ListID = $id]/QCII_ALIAS" />
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:call-template name="GUI_LOOK">
                      <xsl:with-param name="lookup">NONE</xsl:with-param>
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:when test='$type=6'>
                <xsl:variable name="id" select="$cp_node" />
                <xsl:choose>
                  <xsl:when test="$id = 0">
                    <xsl:call-template name="GUI_LOOK">
                      <xsl:with-param name="lookup">NONE</xsl:with-param>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:when test="$id != 0">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/PHONE_SYS_GRP/PHONE_SYS[@ListID = ($id - 1)]/PHONE_ALIAS" />
                  </xsl:when>
                </xsl:choose>
              </xsl:when>
              <xsl:when test='$type=7'>
                <xsl:variable name="id" select="$cp_node" />
                <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_SYS_GRP/DTMF_SYS[@ListID = $id]/DTMF_ALIAS" />
              </xsl:when>
              <xsl:when test='$type=8'>
                <xsl:variable name="id" select="$cp_node" />
                <xsl:variable name="listid" select="$cp_node/@ListID" />
                <xsl:variable name="calltype" select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/CALL_LIST_GRP/CALL_LIST[@ListID = $listid]/CALL_TYPE" />
                <xsl:choose>
                  <xsl:when test="$calltype = 'MDC'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/MDC_SYS_GRP/MDC_SYS[@ListID = $id]/MDC_ALIAS" />
                  </xsl:when>
                  <xsl:when test="$calltype = 'DTMF'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/DTMF_SYS_GRP/DTMF_SYS[@ListID = $id]/DTMF_ALIAS" />
                  </xsl:when>
                  <xsl:when test="$calltype = 'QCII'">
                    <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/QCII_SYS_GRP/QCII_SYS[@ListID = $id]/QCII_ALIAS" />
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:call-template name="GUI_LOOK">
                      <xsl:with-param name="lookup">NONE</xsl:with-param>
                    </xsl:call-template>
                  </xsl:otherwise>
                </xsl:choose>
                <xsl:value-of select="/BEACON_CODEPLUG/RADIO_WIDE_SETTING_SECTION/CALL_LIST_GRP/DTMF_SYS[@ListID = $id]/DTMF_ALIAS" />
              </xsl:when>
            </xsl:choose>
          </xsl:variable>
          <xsl:choose>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@infinity != ''">
              <xsl:choose>
                <xsl:when test="$fieldvalue = $field_res/FIELD[@id=name($cp_node)]/@infinity">
                  <SPAN CLASS="bigletters">
                    <xsl:value-of select="$infinity" />
                  </SPAN>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$fieldvalue" />
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@format = 'N'">
              <xsl:choose>
                <xsl:when test="string(number($fieldvalue))='NaN'">
                  <xsl:value-of select="translate($fieldvalue, '.', $decimal_separator)" />
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="format-number">
                    <xsl:with-param name="numvalue" select="$fieldvalue" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:when test="$field_res/FIELD[@id=name($cp_node)]/@format = 'F'">
              <xsl:choose>
                <xsl:when test="string(number($fieldvalue))='NaN'">
                  <xsl:value-of select="translate($fieldvalue, '.', $decimal_separator)" />
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="format-frequency">
                    <xsl:with-param name="numvalue" select="$fieldvalue" />
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="$fieldvalue" />
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <!--<xsl:when test="$applicable='Disabled'">
			<xsl:call-template name="GUI_LOOK"><xsl:with-param name ="lookup">STR_DISABLED</xsl:with-param></xsl:call-template>
		</xsl:when>-->
        <xsl:when test="$applicable='NA' or $applicable='Disabled'">
          <xsl:value-of select="$not_applicable" />
        </xsl:when>
      </xsl:choose>
    </td>
    <!--</tr>-->
  </xsl:template>
	<xsl:template name="GUI_LABEL">
		<xsl:param name="cp_node" />
		<td class="em_width">
			<xsl:call-template name="GUI_LOOK">
				<xsl:with-param name="lookup" select="name($cp_node)" />
			</xsl:call-template>
		</td>
	</xsl:template>
	<xsl:template name="GUI_LOOK">
		<xsl:param name="lookup" />
		<xsl:value-of select='GUIRes:GetString($lookup)' />
	</xsl:template>
	<xsl:template name="FIELD_LOOK">
		<xsl:param name="lookup" />
		<xsl:value-of select="$field_res/FIELD[@id=$lookup]" />
	</xsl:template>
	<xsl:template name="BOOL_LOOK">
		<xsl:param name="lookup" />
		<xsl:choose>
			<xsl:when test="$lookup='1'">
				<xsl:value-of select="$enabled_str" />
			</xsl:when>
			<xsl:when test="$lookup='0'">
				<xsl:value-of select="$disabled_str" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="VIEW_ENABLED">
		<xsl:param name="cp_field" />
		<xsl:variable name="treenodes" select="$view_res//TREE_NODES" />
		<xsl:choose>
			<xsl:when test="count($treenodes) &gt; 0">
				<xsl:value-of select="name($view_res//TREE_NODES/*[name() = $cp_field][1])" />
			</xsl:when>
			<xsl:otherwise>
		expert
    </xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- END COMMON TEMPLATES -->
</xsl:stylesheet>
